using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;

namespace csharptest
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private int m_nVideoSize;
		private int m_nAudioSize;
		private int m_lImgNum;
		private int m_lNoSignalImgNum;
		private int m_lMDAlertNum;

		private System.Windows.Forms.TextBox[] atxt4ChDiImg;
		private System.Windows.Forms.TextBox[] atxt4ChDoImg;
		private System.Windows.Forms.CheckBox chkTestInputPacket;
		private System.Windows.Forms.Panel panel1Ch;
		private System.Windows.Forms.Label lab_1ch_do;
		private System.Windows.Forms.Label lab_1ch_di;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.Label label16;
		private System.Windows.Forms.Label label17;
		private System.Windows.Forms.Label label18;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.ComboBox comboPreset;
		private System.Windows.Forms.TextBox txtPreset;
		private System.Windows.Forms.Button butPresetAdd;
		private System.Windows.Forms.CheckBox chkVideoDec;
		private System.Windows.Forms.Label label19;
		private System.Windows.Forms.TextBox txtJpegQ;
		private System.Windows.Forms.ComboBox comboDecVideoFmt;
		private System.Windows.Forms.TextBox txtVideoTime;
		private System.Windows.Forms.TextBox txtVideoSize;
		private System.Windows.Forms.TextBox txtAudioTime;
		private System.Windows.Forms.TextBox txtAudioSize;
		private System.Windows.Forms.CheckBox chkAudioDec;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.TextBox txtReconnTimes;
		private System.Windows.Forms.TextBox txtVideoBR;
		private System.Windows.Forms.TextBox txtFR;
		private System.Windows.Forms.Label label20;
		private System.Windows.Forms.Label label21;
		private System.Windows.Forms.Label labABR;
		private System.Windows.Forms.TextBox txtAudioBR;
		private System.Windows.Forms.Label label22;
		private System.Windows.Forms.Label label23;
		private System.Windows.Forms.Label label24;
		private System.Windows.Forms.TextBox txt1ChDo;
		private System.Windows.Forms.Button but1ChDo;
		private System.Windows.Forms.Button but1ChDi;
		private System.Windows.Forms.TextBox txt1ChDi;
		private System.Windows.Forms.TextBox txt1ChDiImg;
		private System.Windows.Forms.TextBox txt1ChDoImg;
		private System.Windows.Forms.TextBox txt4ChDoImg1;
		private System.Windows.Forms.TextBox txt4ChDiImg1;
		private System.Windows.Forms.Button but4ChDi2;
		private System.Windows.Forms.TextBox txt4ChDi2;
		private System.Windows.Forms.Button but4ChDo1;
		private System.Windows.Forms.TextBox txt4ChDo1;
		private System.Windows.Forms.Button but4ChDo2;
		private System.Windows.Forms.TextBox txt4ChDo2;
		private System.Windows.Forms.Button but4ChDi1;
		private System.Windows.Forms.TextBox txt4ChDi1;
		private System.Windows.Forms.TextBox txt4ChDoImg2;
		private System.Windows.Forms.TextBox txt4ChDiImg2;
		private System.Windows.Forms.TextBox txt4ChDiImg4;
		private System.Windows.Forms.Button but4ChDi3;
		private System.Windows.Forms.TextBox txt4ChDi3;
		private System.Windows.Forms.TextBox txt4ChDiImg3;
		private System.Windows.Forms.Button but4ChDi4;
		private System.Windows.Forms.TextBox txt4ChDi4;
		private System.Windows.Forms.TextBox txtNoSigNum;
		private System.Windows.Forms.TextBox txtImgNum;
		private System.Windows.Forms.TextBox txtMdNum;
		private System.Windows.Forms.TextBox txtMdInfo;
		private System.Windows.Forms.Button butUp;
		private System.Windows.Forms.Button butLeft;
		private System.Windows.Forms.Button butHome;
		private System.Windows.Forms.Button butRight;
		private System.Windows.Forms.Button butDown;
		private System.Windows.Forms.Button butZoomIn;
		private System.Windows.Forms.Button butZoomOut;
		private System.Windows.Forms.Button butFocusFar;
		private System.Windows.Forms.Button butFocusNear;
		private System.Windows.Forms.Button butFocusAuto;
		private System.Windows.Forms.Button butPTPan;
		private System.Windows.Forms.Button butPTPatrol;
		private System.Windows.Forms.Button butPTStop;
		private System.Windows.Forms.Label label26;
		private System.Windows.Forms.TextBox txtServerIP;
		private System.Windows.Forms.TextBox txtServerPort;
		private System.Windows.Forms.Label label27;
		private System.Windows.Forms.TextBox txtUserID;
		private System.Windows.Forms.Label label28;
		private System.Windows.Forms.TextBox txtUserPwd;
		private System.Windows.Forms.Label label29;
		private System.Windows.Forms.Button butStart;
		private System.Windows.Forms.CheckBox chkAutoReconn;
		private System.Windows.Forms.Label label30;
		private System.Windows.Forms.ComboBox comboStreamingOpt;
		private System.Windows.Forms.TextBox txtPerSecs;
		private System.Windows.Forms.Label labPer;
		private System.Windows.Forms.Label labSecs;
		private System.Windows.Forms.Panel panelConnNon2K;
		private System.Windows.Forms.ComboBox comboProtocol;
		private System.Windows.Forms.Label label31;
		private System.Windows.Forms.CheckBox chkMDEditMode;
		private System.Windows.Forms.CheckBox chkAudio;
		private System.Windows.Forms.ComboBox comboQuality;
		private System.Windows.Forms.Label label32;
		private System.Windows.Forms.ComboBox comboVSize;
		private System.Windows.Forms.Label label33;
		private System.Windows.Forms.ComboBox comboChannel;
		private System.Windows.Forms.Label labChannel;
		private System.Windows.Forms.Panel panelConn2K;
		private System.Windows.Forms.GroupBox groupBox3;
		private System.Windows.Forms.Label label34;
		private System.Windows.Forms.TextBox txtSnapshotFile;
		private System.Windows.Forms.Button butSaveSnapshot;
		private System.Windows.Forms.Label labSnapshotFmt;
		private System.Windows.Forms.ComboBox comboSnapshotFmt;
		private System.Windows.Forms.CheckBox chkForceGDI;
		private System.Windows.Forms.CheckBox chkGDIStretchBlt;
		private System.Windows.Forms.CheckBox chkDDrawOnePass;
		private System.Windows.Forms.CheckBox chkIgnoreBorder;
		private System.Windows.Forms.CheckBox chkIgnoreCaption;
		private System.Windows.Forms.CheckBox chkDeblocking;
		private System.Windows.Forms.CheckBox chkDisplay;
		private System.Windows.Forms.CheckBox chkStretch;
		private System.Windows.Forms.CheckBox chkZoomEdit;
		private System.Windows.Forms.CheckBox chkZoomEnabled;
		private System.Windows.Forms.CheckBox chkUserDateFmt;
		private System.Windows.Forms.ComboBox comboUserTimeFmt;
		private System.Windows.Forms.TextBox txtUart;
		private System.Windows.Forms.Button butUartRead;
		private System.Windows.Forms.Button butUartSend;
		private System.Windows.Forms.ComboBox comboPort;
		private System.Windows.Forms.Label labPort;
		private System.Windows.Forms.GroupBox groupBox4;
		private System.Windows.Forms.TextBox txtIndex;
		private System.Windows.Forms.Button butSetRead;
		private System.Windows.Forms.TextBox txtSetValue;
		private System.Windows.Forms.GroupBox groupBox5;
		private System.Windows.Forms.Label label40;
		private System.Windows.Forms.Button butSetRefresh;
		private System.Windows.Forms.Button butSetUpdate;
		private System.Windows.Forms.TextBox txtSecEntry;
		private System.Windows.Forms.Button butSetSet;
		private System.Windows.Forms.TextBox txtServerDate;
		private System.Windows.Forms.Button butDateTimeSet;
		private System.Windows.Forms.TextBox txtServerTime;
		private System.Windows.Forms.Label label41;
		private System.Windows.Forms.Label label42;
		private System.Windows.Forms.TextBox txtDBPath;
		private System.Windows.Forms.TextBox txtLocation;
		private System.Windows.Forms.Label label43;
		private System.Windows.Forms.Button butRecord;
		private System.Windows.Forms.Label label44;
		private System.Windows.Forms.CheckBox chkEventDI1Rise;
		private System.Windows.Forms.CheckBox chkEventMD;
		private System.Windows.Forms.CheckBox chkEventDI1Fall;
		private System.Windows.Forms.CheckBox chkEventDI1High;
		private System.Windows.Forms.CheckBox chkEventDI1Low;
		private System.Windows.Forms.CheckBox chkEventDI2Rise;
		private System.Windows.Forms.CheckBox chkEventDI3Fall;
		private System.Windows.Forms.CheckBox chkEventDI4High;
		private System.Windows.Forms.TextBox txtHttpCmd;
		private System.Windows.Forms.Button butHttpPost;
		private System.Windows.Forms.Button butHttpGet;
		private System.Windows.Forms.CheckBox chkShowReturn;
		private System.Windows.Forms.CheckBox chkShowAVIBut;
		private System.Windows.Forms.Button butStartConversion;
		private System.Windows.Forms.Label labAVIFR;
		private System.Windows.Forms.TextBox txtAVIFR;
		private System.Windows.Forms.TextBox txtAVIWidth;
		private System.Windows.Forms.Label labAVIWidth;
		private System.Windows.Forms.TextBox txtAVIHeight;
		private System.Windows.Forms.Label labAVIHeight;
		private System.Windows.Forms.Button butAVIUpdateSetting;
		private System.Windows.Forms.Button butAVIVideoComp;
		private System.Windows.Forms.Button butAVIAudioComp;
		private System.Windows.Forms.GroupBox groupBox7;
		private System.Windows.Forms.ComboBox comboCtrlType;
		private System.Windows.Forms.Panel panel4Ch;
		private System.Windows.Forms.Label labCamCtrl;
		private System.Windows.Forms.Label labSnapFile;
		private System.Windows.Forms.Label labUart;
		private System.Windows.Forms.Label labHttpCmd;
		private System.Windows.Forms.GroupBox groupAVI;
		private System.Windows.Forms.GroupBox groupDecodeInfo;
		private System.Windows.Forms.Label labPreset;
		private System.Windows.Forms.CheckBox chkEventRecord;
		private System.Windows.Forms.CheckBox chkAVIAutoSet;
		private System.Windows.Forms.CheckBox chkAutoSize;
		private System.Windows.Forms.Label labSetIdx;
		private System.Windows.Forms.Label labSecEntry;
		private System.Windows.Forms.Label labValue;
		private System.Windows.Forms.CheckBox chkConnVs3101;
		private System.Windows.Forms.Timer timer1;
		private System.Windows.Forms.TextBox txtConnSecs;
		private System.Windows.Forms.TextBox txtTotConnSecs;
		private AxVITAMINDECODERLib.AxVitaminCtrl axVitaminCtrl1;
		private AxVITAMINDECODERLib.AxVitaminCtrl axVitaminCtrl2;
		private System.Windows.Forms.CheckBox chkVolumeCtrl;
		private System.Windows.Forms.CheckBox chkMicCtrl;
		private System.Windows.Forms.CheckBox chkTalkBtn;
		private System.Windows.Forms.CheckBox chkDecodeAV;
		private System.Windows.Forms.CheckBox chkAutoServerTypeModel;
		private System.Windows.Forms.CheckBox chkForceNonYUV;
		private System.Windows.Forms.CheckBox chkMotionFrm;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TextBox txtDisplayPeriod;
		private System.Windows.Forms.Label label25;
		private System.Windows.Forms.TextBox txtTextOnVideo;
		private System.Windows.Forms.Button btnCust1;
		private System.Windows.Forms.Button btnCust2;
		private System.Windows.Forms.Button btnCust3;
		private System.Windows.Forms.Button btnCust4;
		private System.Windows.Forms.Button btnIrisAuto;
		private System.Windows.Forms.Button btnIrisOpen;
		private System.Windows.Forms.Button btnIrisClose;
		private System.Windows.Forms.Label label35;
		private System.Windows.Forms.ComboBox comboStream;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.chkTestInputPacket = new System.Windows.Forms.CheckBox();
			this.panel1Ch = new System.Windows.Forms.Panel();
			this.txt1ChDoImg = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.txt1ChDiImg = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.but1ChDi = new System.Windows.Forms.Button();
			this.txt1ChDi = new System.Windows.Forms.TextBox();
			this.lab_1ch_di = new System.Windows.Forms.Label();
			this.but1ChDo = new System.Windows.Forms.Button();
			this.txt1ChDo = new System.Windows.Forms.TextBox();
			this.lab_1ch_do = new System.Windows.Forms.Label();
			this.panel4Ch = new System.Windows.Forms.Panel();
			this.txt4ChDiImg4 = new System.Windows.Forms.TextBox();
			this.label13 = new System.Windows.Forms.Label();
			this.but4ChDi3 = new System.Windows.Forms.Button();
			this.txt4ChDi3 = new System.Windows.Forms.TextBox();
			this.label14 = new System.Windows.Forms.Label();
			this.txt4ChDiImg3 = new System.Windows.Forms.TextBox();
			this.label15 = new System.Windows.Forms.Label();
			this.but4ChDi4 = new System.Windows.Forms.Button();
			this.txt4ChDi4 = new System.Windows.Forms.TextBox();
			this.label16 = new System.Windows.Forms.Label();
			this.txt4ChDiImg2 = new System.Windows.Forms.TextBox();
			this.label12 = new System.Windows.Forms.Label();
			this.txt4ChDoImg2 = new System.Windows.Forms.TextBox();
			this.label11 = new System.Windows.Forms.Label();
			this.but4ChDi1 = new System.Windows.Forms.Button();
			this.txt4ChDi1 = new System.Windows.Forms.TextBox();
			this.label10 = new System.Windows.Forms.Label();
			this.but4ChDo2 = new System.Windows.Forms.Button();
			this.txt4ChDo2 = new System.Windows.Forms.TextBox();
			this.label9 = new System.Windows.Forms.Label();
			this.txt4ChDoImg1 = new System.Windows.Forms.TextBox();
			this.label5 = new System.Windows.Forms.Label();
			this.txt4ChDiImg1 = new System.Windows.Forms.TextBox();
			this.label6 = new System.Windows.Forms.Label();
			this.but4ChDi2 = new System.Windows.Forms.Button();
			this.txt4ChDi2 = new System.Windows.Forms.TextBox();
			this.label7 = new System.Windows.Forms.Label();
			this.but4ChDo1 = new System.Windows.Forms.Button();
			this.txt4ChDo1 = new System.Windows.Forms.TextBox();
			this.label8 = new System.Windows.Forms.Label();
			this.txtNoSigNum = new System.Windows.Forms.TextBox();
			this.label17 = new System.Windows.Forms.Label();
			this.txtImgNum = new System.Windows.Forms.TextBox();
			this.label18 = new System.Windows.Forms.Label();
			this.txtMdNum = new System.Windows.Forms.TextBox();
			this.label3 = new System.Windows.Forms.Label();
			this.txtMdInfo = new System.Windows.Forms.TextBox();
			this.labPreset = new System.Windows.Forms.Label();
			this.comboPreset = new System.Windows.Forms.ComboBox();
			this.txtPreset = new System.Windows.Forms.TextBox();
			this.butPresetAdd = new System.Windows.Forms.Button();
			this.groupDecodeInfo = new System.Windows.Forms.GroupBox();
			this.txtAudioTime = new System.Windows.Forms.TextBox();
			this.txtAudioSize = new System.Windows.Forms.TextBox();
			this.chkAudioDec = new System.Windows.Forms.CheckBox();
			this.txtVideoTime = new System.Windows.Forms.TextBox();
			this.txtVideoSize = new System.Windows.Forms.TextBox();
			this.comboDecVideoFmt = new System.Windows.Forms.ComboBox();
			this.txtJpegQ = new System.Windows.Forms.TextBox();
			this.label19 = new System.Windows.Forms.Label();
			this.chkVideoDec = new System.Windows.Forms.CheckBox();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.label24 = new System.Windows.Forms.Label();
			this.txtTotConnSecs = new System.Windows.Forms.TextBox();
			this.label23 = new System.Windows.Forms.Label();
			this.txtConnSecs = new System.Windows.Forms.TextBox();
			this.label22 = new System.Windows.Forms.Label();
			this.labABR = new System.Windows.Forms.Label();
			this.txtAudioBR = new System.Windows.Forms.TextBox();
			this.label21 = new System.Windows.Forms.Label();
			this.label20 = new System.Windows.Forms.Label();
			this.txtReconnTimes = new System.Windows.Forms.TextBox();
			this.txtVideoBR = new System.Windows.Forms.TextBox();
			this.txtFR = new System.Windows.Forms.TextBox();
			this.labCamCtrl = new System.Windows.Forms.Label();
			this.butUp = new System.Windows.Forms.Button();
			this.butLeft = new System.Windows.Forms.Button();
			this.butHome = new System.Windows.Forms.Button();
			this.butRight = new System.Windows.Forms.Button();
			this.butDown = new System.Windows.Forms.Button();
			this.butZoomIn = new System.Windows.Forms.Button();
			this.butZoomOut = new System.Windows.Forms.Button();
			this.butFocusFar = new System.Windows.Forms.Button();
			this.butFocusNear = new System.Windows.Forms.Button();
			this.butFocusAuto = new System.Windows.Forms.Button();
			this.butPTPan = new System.Windows.Forms.Button();
			this.butPTPatrol = new System.Windows.Forms.Button();
			this.butPTStop = new System.Windows.Forms.Button();
			this.label26 = new System.Windows.Forms.Label();
			this.txtServerIP = new System.Windows.Forms.TextBox();
			this.txtServerPort = new System.Windows.Forms.TextBox();
			this.label27 = new System.Windows.Forms.Label();
			this.txtUserID = new System.Windows.Forms.TextBox();
			this.label28 = new System.Windows.Forms.Label();
			this.txtUserPwd = new System.Windows.Forms.TextBox();
			this.label29 = new System.Windows.Forms.Label();
			this.butStart = new System.Windows.Forms.Button();
			this.chkAutoReconn = new System.Windows.Forms.CheckBox();
			this.label30 = new System.Windows.Forms.Label();
			this.comboStreamingOpt = new System.Windows.Forms.ComboBox();
			this.txtPerSecs = new System.Windows.Forms.TextBox();
			this.labPer = new System.Windows.Forms.Label();
			this.labSecs = new System.Windows.Forms.Label();
			this.panelConnNon2K = new System.Windows.Forms.Panel();
			this.chkConnVs3101 = new System.Windows.Forms.CheckBox();
			this.chkAudio = new System.Windows.Forms.CheckBox();
			this.chkMDEditMode = new System.Windows.Forms.CheckBox();
			this.comboProtocol = new System.Windows.Forms.ComboBox();
			this.label31 = new System.Windows.Forms.Label();
			this.panelConn2K = new System.Windows.Forms.Panel();
			this.comboChannel = new System.Windows.Forms.ComboBox();
			this.labChannel = new System.Windows.Forms.Label();
			this.comboVSize = new System.Windows.Forms.ComboBox();
			this.label33 = new System.Windows.Forms.Label();
			this.comboQuality = new System.Windows.Forms.ComboBox();
			this.label32 = new System.Windows.Forms.Label();
			this.groupBox3 = new System.Windows.Forms.GroupBox();
			this.label4 = new System.Windows.Forms.Label();
			this.chkMotionFrm = new System.Windows.Forms.CheckBox();
			this.chkForceNonYUV = new System.Windows.Forms.CheckBox();
			this.chkDecodeAV = new System.Windows.Forms.CheckBox();
			this.chkTalkBtn = new System.Windows.Forms.CheckBox();
			this.chkMicCtrl = new System.Windows.Forms.CheckBox();
			this.chkVolumeCtrl = new System.Windows.Forms.CheckBox();
			this.comboUserTimeFmt = new System.Windows.Forms.ComboBox();
			this.label34 = new System.Windows.Forms.Label();
			this.chkUserDateFmt = new System.Windows.Forms.CheckBox();
			this.chkZoomEnabled = new System.Windows.Forms.CheckBox();
			this.chkZoomEdit = new System.Windows.Forms.CheckBox();
			this.chkStretch = new System.Windows.Forms.CheckBox();
			this.chkDisplay = new System.Windows.Forms.CheckBox();
			this.chkDeblocking = new System.Windows.Forms.CheckBox();
			this.chkIgnoreCaption = new System.Windows.Forms.CheckBox();
			this.chkIgnoreBorder = new System.Windows.Forms.CheckBox();
			this.chkDDrawOnePass = new System.Windows.Forms.CheckBox();
			this.chkGDIStretchBlt = new System.Windows.Forms.CheckBox();
			this.chkForceGDI = new System.Windows.Forms.CheckBox();
			this.txtDisplayPeriod = new System.Windows.Forms.TextBox();
			this.labSnapFile = new System.Windows.Forms.Label();
			this.txtSnapshotFile = new System.Windows.Forms.TextBox();
			this.butSaveSnapshot = new System.Windows.Forms.Button();
			this.labSnapshotFmt = new System.Windows.Forms.Label();
			this.comboSnapshotFmt = new System.Windows.Forms.ComboBox();
			this.labUart = new System.Windows.Forms.Label();
			this.txtUart = new System.Windows.Forms.TextBox();
			this.butUartRead = new System.Windows.Forms.Button();
			this.butUartSend = new System.Windows.Forms.Button();
			this.comboPort = new System.Windows.Forms.ComboBox();
			this.labPort = new System.Windows.Forms.Label();
			this.groupBox4 = new System.Windows.Forms.GroupBox();
			this.txtSetValue = new System.Windows.Forms.TextBox();
			this.labValue = new System.Windows.Forms.Label();
			this.butSetSet = new System.Windows.Forms.Button();
			this.txtSecEntry = new System.Windows.Forms.TextBox();
			this.labSecEntry = new System.Windows.Forms.Label();
			this.butSetRead = new System.Windows.Forms.Button();
			this.txtIndex = new System.Windows.Forms.TextBox();
			this.labSetIdx = new System.Windows.Forms.Label();
			this.butSetUpdate = new System.Windows.Forms.Button();
			this.butSetRefresh = new System.Windows.Forms.Button();
			this.groupBox5 = new System.Windows.Forms.GroupBox();
			this.txtServerTime = new System.Windows.Forms.TextBox();
			this.label41 = new System.Windows.Forms.Label();
			this.txtServerDate = new System.Windows.Forms.TextBox();
			this.label40 = new System.Windows.Forms.Label();
			this.butDateTimeSet = new System.Windows.Forms.Button();
			this.label42 = new System.Windows.Forms.Label();
			this.txtDBPath = new System.Windows.Forms.TextBox();
			this.txtLocation = new System.Windows.Forms.TextBox();
			this.label43 = new System.Windows.Forms.Label();
			this.chkEventRecord = new System.Windows.Forms.CheckBox();
			this.butRecord = new System.Windows.Forms.Button();
			this.label44 = new System.Windows.Forms.Label();
			this.chkEventDI1Rise = new System.Windows.Forms.CheckBox();
			this.chkEventMD = new System.Windows.Forms.CheckBox();
			this.chkEventDI1Fall = new System.Windows.Forms.CheckBox();
			this.chkEventDI1High = new System.Windows.Forms.CheckBox();
			this.chkEventDI1Low = new System.Windows.Forms.CheckBox();
			this.chkEventDI2Rise = new System.Windows.Forms.CheckBox();
			this.chkEventDI3Fall = new System.Windows.Forms.CheckBox();
			this.chkEventDI4High = new System.Windows.Forms.CheckBox();
			this.labHttpCmd = new System.Windows.Forms.Label();
			this.txtHttpCmd = new System.Windows.Forms.TextBox();
			this.butHttpPost = new System.Windows.Forms.Button();
			this.butHttpGet = new System.Windows.Forms.Button();
			this.chkShowReturn = new System.Windows.Forms.CheckBox();
			this.groupAVI = new System.Windows.Forms.GroupBox();
			this.butAVIAudioComp = new System.Windows.Forms.Button();
			this.butAVIVideoComp = new System.Windows.Forms.Button();
			this.butAVIUpdateSetting = new System.Windows.Forms.Button();
			this.txtAVIHeight = new System.Windows.Forms.TextBox();
			this.labAVIHeight = new System.Windows.Forms.Label();
			this.txtAVIWidth = new System.Windows.Forms.TextBox();
			this.labAVIWidth = new System.Windows.Forms.Label();
			this.chkAutoSize = new System.Windows.Forms.CheckBox();
			this.txtAVIFR = new System.Windows.Forms.TextBox();
			this.labAVIFR = new System.Windows.Forms.Label();
			this.chkAVIAutoSet = new System.Windows.Forms.CheckBox();
			this.butStartConversion = new System.Windows.Forms.Button();
			this.chkShowAVIBut = new System.Windows.Forms.CheckBox();
			this.groupBox7 = new System.Windows.Forms.GroupBox();
			this.chkAutoServerTypeModel = new System.Windows.Forms.CheckBox();
			this.comboCtrlType = new System.Windows.Forms.ComboBox();
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			this.axVitaminCtrl1 = new AxVITAMINDECODERLib.AxVitaminCtrl();
			this.axVitaminCtrl2 = new AxVITAMINDECODERLib.AxVitaminCtrl();
			this.label25 = new System.Windows.Forms.Label();
			this.txtTextOnVideo = new System.Windows.Forms.TextBox();
			this.btnCust1 = new System.Windows.Forms.Button();
			this.btnCust2 = new System.Windows.Forms.Button();
			this.btnCust3 = new System.Windows.Forms.Button();
			this.btnCust4 = new System.Windows.Forms.Button();
			this.btnIrisAuto = new System.Windows.Forms.Button();
			this.btnIrisOpen = new System.Windows.Forms.Button();
			this.btnIrisClose = new System.Windows.Forms.Button();
			this.label35 = new System.Windows.Forms.Label();
			this.comboStream = new System.Windows.Forms.ComboBox();
			this.panel1Ch.SuspendLayout();
			this.panel4Ch.SuspendLayout();
			this.groupDecodeInfo.SuspendLayout();
			this.groupBox2.SuspendLayout();
			this.panelConnNon2K.SuspendLayout();
			this.panelConn2K.SuspendLayout();
			this.groupBox3.SuspendLayout();
			this.groupBox4.SuspendLayout();
			this.groupBox5.SuspendLayout();
			this.groupAVI.SuspendLayout();
			this.groupBox7.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.axVitaminCtrl1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.axVitaminCtrl2)).BeginInit();
			this.SuspendLayout();
			// 
			// chkTestInputPacket
			// 
			this.chkTestInputPacket.Location = new System.Drawing.Point(776, 208);
			this.chkTestInputPacket.Name = "chkTestInputPacket";
			this.chkTestInputPacket.Size = new System.Drawing.Size(112, 16);
			this.chkTestInputPacket.TabIndex = 3;
			this.chkTestInputPacket.Text = "Test Input Packet";
			this.chkTestInputPacket.CheckedChanged += new System.EventHandler(this.chkTestInputPacket_CheckedChanged);
			// 
			// panel1Ch
			// 
			this.panel1Ch.Controls.AddRange(new System.Windows.Forms.Control[] {
																				   this.txt1ChDoImg,
																				   this.label2,
																				   this.txt1ChDiImg,
																				   this.label1,
																				   this.but1ChDi,
																				   this.txt1ChDi,
																				   this.lab_1ch_di,
																				   this.but1ChDo,
																				   this.txt1ChDo,
																				   this.lab_1ch_do});
			this.panel1Ch.Location = new System.Drawing.Point(8, 16);
			this.panel1Ch.Name = "panel1Ch";
			this.panel1Ch.Size = new System.Drawing.Size(224, 88);
			this.panel1Ch.TabIndex = 4;
			// 
			// txt1ChDoImg
			// 
			this.txt1ChDoImg.Location = new System.Drawing.Point(136, 56);
			this.txt1ChDoImg.MaxLength = 1;
			this.txt1ChDoImg.Name = "txt1ChDoImg";
			this.txt1ChDoImg.ReadOnly = true;
			this.txt1ChDoImg.Size = new System.Drawing.Size(24, 21);
			this.txt1ChDoImg.TabIndex = 9;
			this.txt1ChDoImg.Text = "";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(88, 64);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(48, 16);
			this.label2.TabIndex = 8;
			this.label2.Text = "DO(Img):";
			// 
			// txt1ChDiImg
			// 
			this.txt1ChDiImg.Location = new System.Drawing.Point(56, 56);
			this.txt1ChDiImg.MaxLength = 1;
			this.txt1ChDiImg.Name = "txt1ChDiImg";
			this.txt1ChDiImg.ReadOnly = true;
			this.txt1ChDiImg.Size = new System.Drawing.Size(24, 21);
			this.txt1ChDiImg.TabIndex = 7;
			this.txt1ChDiImg.Text = "";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 64);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(48, 16);
			this.label1.TabIndex = 6;
			this.label1.Text = "DI(Img):";
			// 
			// but1ChDi
			// 
			this.but1ChDi.Location = new System.Drawing.Point(128, 8);
			this.but1ChDi.Name = "but1ChDi";
			this.but1ChDi.Size = new System.Drawing.Size(32, 24);
			this.but1ChDi.TabIndex = 5;
			this.but1ChDi.Text = "Get";
			this.but1ChDi.Click += new System.EventHandler(this.but1ChDi_Click);
			// 
			// txt1ChDi
			// 
			this.txt1ChDi.Location = new System.Drawing.Point(168, 8);
			this.txt1ChDi.MaxLength = 1;
			this.txt1ChDi.Name = "txt1ChDi";
			this.txt1ChDi.ReadOnly = true;
			this.txt1ChDi.Size = new System.Drawing.Size(24, 21);
			this.txt1ChDi.TabIndex = 4;
			this.txt1ChDi.Text = "";
			// 
			// lab_1ch_di
			// 
			this.lab_1ch_di.Location = new System.Drawing.Point(104, 16);
			this.lab_1ch_di.Name = "lab_1ch_di";
			this.lab_1ch_di.Size = new System.Drawing.Size(24, 16);
			this.lab_1ch_di.TabIndex = 3;
			this.lab_1ch_di.Text = "DI:";
			// 
			// but1ChDo
			// 
			this.but1ChDo.Location = new System.Drawing.Point(64, 8);
			this.but1ChDo.Name = "but1ChDo";
			this.but1ChDo.Size = new System.Drawing.Size(32, 24);
			this.but1ChDo.TabIndex = 2;
			this.but1ChDo.Text = "Set";
			this.but1ChDo.Click += new System.EventHandler(this.but1ChDo_Click);
			// 
			// txt1ChDo
			// 
			this.txt1ChDo.Location = new System.Drawing.Point(32, 8);
			this.txt1ChDo.MaxLength = 1;
			this.txt1ChDo.Name = "txt1ChDo";
			this.txt1ChDo.Size = new System.Drawing.Size(24, 21);
			this.txt1ChDo.TabIndex = 1;
			this.txt1ChDo.Text = "";
			// 
			// lab_1ch_do
			// 
			this.lab_1ch_do.Location = new System.Drawing.Point(8, 16);
			this.lab_1ch_do.Name = "lab_1ch_do";
			this.lab_1ch_do.Size = new System.Drawing.Size(24, 16);
			this.lab_1ch_do.TabIndex = 0;
			this.lab_1ch_do.Text = "DO:";
			// 
			// panel4Ch
			// 
			this.panel4Ch.Controls.AddRange(new System.Windows.Forms.Control[] {
																				   this.txt4ChDiImg4,
																				   this.label13,
																				   this.but4ChDi3,
																				   this.txt4ChDi3,
																				   this.label14,
																				   this.txt4ChDiImg3,
																				   this.label15,
																				   this.but4ChDi4,
																				   this.txt4ChDi4,
																				   this.label16,
																				   this.txt4ChDiImg2,
																				   this.label12,
																				   this.txt4ChDoImg2,
																				   this.label11,
																				   this.but4ChDi1,
																				   this.txt4ChDi1,
																				   this.label10,
																				   this.but4ChDo2,
																				   this.txt4ChDo2,
																				   this.label9,
																				   this.txt4ChDoImg1,
																				   this.label5,
																				   this.txt4ChDiImg1,
																				   this.label6,
																				   this.but4ChDi2,
																				   this.txt4ChDi2,
																				   this.label7,
																				   this.but4ChDo1,
																				   this.txt4ChDo1,
																				   this.label8});
			this.panel4Ch.Location = new System.Drawing.Point(240, 16);
			this.panel4Ch.Name = "panel4Ch";
			this.panel4Ch.Size = new System.Drawing.Size(376, 88);
			this.panel4Ch.TabIndex = 5;
			// 
			// txt4ChDiImg4
			// 
			this.txt4ChDiImg4.Location = new System.Drawing.Point(344, 56);
			this.txt4ChDiImg4.MaxLength = 1;
			this.txt4ChDiImg4.Name = "txt4ChDiImg4";
			this.txt4ChDiImg4.ReadOnly = true;
			this.txt4ChDiImg4.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDiImg4.TabIndex = 39;
			this.txt4ChDiImg4.Text = "";
			// 
			// label13
			// 
			this.label13.Location = new System.Drawing.Point(288, 64);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(56, 16);
			this.label13.TabIndex = 38;
			this.label13.Text = "DI4(Img):";
			// 
			// but4ChDi3
			// 
			this.but4ChDi3.Location = new System.Drawing.Point(40, 56);
			this.but4ChDi3.Name = "but4ChDi3";
			this.but4ChDi3.Size = new System.Drawing.Size(32, 24);
			this.but4ChDi3.TabIndex = 37;
			this.but4ChDi3.Text = "Get";
			this.but4ChDi3.Click += new System.EventHandler(this.but4ChDi3_Click);
			// 
			// txt4ChDi3
			// 
			this.txt4ChDi3.Location = new System.Drawing.Point(72, 56);
			this.txt4ChDi3.MaxLength = 1;
			this.txt4ChDi3.Name = "txt4ChDi3";
			this.txt4ChDi3.ReadOnly = true;
			this.txt4ChDi3.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDi3.TabIndex = 36;
			this.txt4ChDi3.Text = "";
			// 
			// label14
			// 
			this.label14.Location = new System.Drawing.Point(8, 64);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(32, 16);
			this.label14.TabIndex = 35;
			this.label14.Text = "DI3:";
			// 
			// txt4ChDiImg3
			// 
			this.txt4ChDiImg3.Location = new System.Drawing.Point(256, 56);
			this.txt4ChDiImg3.MaxLength = 1;
			this.txt4ChDiImg3.Name = "txt4ChDiImg3";
			this.txt4ChDiImg3.ReadOnly = true;
			this.txt4ChDiImg3.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDiImg3.TabIndex = 34;
			this.txt4ChDiImg3.Text = "";
			// 
			// label15
			// 
			this.label15.Location = new System.Drawing.Point(200, 64);
			this.label15.Name = "label15";
			this.label15.Size = new System.Drawing.Size(56, 16);
			this.label15.TabIndex = 33;
			this.label15.Text = "DI3(Img):";
			// 
			// but4ChDi4
			// 
			this.but4ChDi4.Location = new System.Drawing.Point(128, 56);
			this.but4ChDi4.Name = "but4ChDi4";
			this.but4ChDi4.Size = new System.Drawing.Size(32, 24);
			this.but4ChDi4.TabIndex = 32;
			this.but4ChDi4.Text = "Get";
			this.but4ChDi4.Click += new System.EventHandler(this.but4ChDi4_Click);
			// 
			// txt4ChDi4
			// 
			this.txt4ChDi4.Location = new System.Drawing.Point(160, 56);
			this.txt4ChDi4.MaxLength = 1;
			this.txt4ChDi4.Name = "txt4ChDi4";
			this.txt4ChDi4.ReadOnly = true;
			this.txt4ChDi4.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDi4.TabIndex = 31;
			this.txt4ChDi4.Text = "";
			// 
			// label16
			// 
			this.label16.Location = new System.Drawing.Point(96, 64);
			this.label16.Name = "label16";
			this.label16.Size = new System.Drawing.Size(32, 16);
			this.label16.TabIndex = 30;
			this.label16.Text = "DI4:";
			// 
			// txt4ChDiImg2
			// 
			this.txt4ChDiImg2.Location = new System.Drawing.Point(344, 32);
			this.txt4ChDiImg2.MaxLength = 1;
			this.txt4ChDiImg2.Name = "txt4ChDiImg2";
			this.txt4ChDiImg2.ReadOnly = true;
			this.txt4ChDiImg2.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDiImg2.TabIndex = 29;
			this.txt4ChDiImg2.Text = "";
			// 
			// label12
			// 
			this.label12.Location = new System.Drawing.Point(288, 40);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(56, 16);
			this.label12.TabIndex = 28;
			this.label12.Text = "DI2(Img):";
			// 
			// txt4ChDoImg2
			// 
			this.txt4ChDoImg2.Location = new System.Drawing.Point(344, 8);
			this.txt4ChDoImg2.MaxLength = 1;
			this.txt4ChDoImg2.Name = "txt4ChDoImg2";
			this.txt4ChDoImg2.ReadOnly = true;
			this.txt4ChDoImg2.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDoImg2.TabIndex = 27;
			this.txt4ChDoImg2.Text = "";
			// 
			// label11
			// 
			this.label11.Location = new System.Drawing.Point(288, 16);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(64, 16);
			this.label11.TabIndex = 26;
			this.label11.Text = "DO2(Img):";
			// 
			// but4ChDi1
			// 
			this.but4ChDi1.Location = new System.Drawing.Point(40, 32);
			this.but4ChDi1.Name = "but4ChDi1";
			this.but4ChDi1.Size = new System.Drawing.Size(32, 24);
			this.but4ChDi1.TabIndex = 25;
			this.but4ChDi1.Text = "Get";
			this.but4ChDi1.Click += new System.EventHandler(this.but4ChDi1_Click);
			// 
			// txt4ChDi1
			// 
			this.txt4ChDi1.Location = new System.Drawing.Point(72, 32);
			this.txt4ChDi1.MaxLength = 1;
			this.txt4ChDi1.Name = "txt4ChDi1";
			this.txt4ChDi1.ReadOnly = true;
			this.txt4ChDi1.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDi1.TabIndex = 24;
			this.txt4ChDi1.Text = "";
			// 
			// label10
			// 
			this.label10.Location = new System.Drawing.Point(8, 40);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(32, 16);
			this.label10.TabIndex = 23;
			this.label10.Text = "DI1:";
			// 
			// but4ChDo2
			// 
			this.but4ChDo2.Location = new System.Drawing.Point(152, 8);
			this.but4ChDo2.Name = "but4ChDo2";
			this.but4ChDo2.Size = new System.Drawing.Size(32, 24);
			this.but4ChDo2.TabIndex = 22;
			this.but4ChDo2.Text = "Set";
			this.but4ChDo2.Click += new System.EventHandler(this.but4ChDo2_Click);
			// 
			// txt4ChDo2
			// 
			this.txt4ChDo2.Location = new System.Drawing.Point(128, 8);
			this.txt4ChDo2.MaxLength = 1;
			this.txt4ChDo2.Name = "txt4ChDo2";
			this.txt4ChDo2.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDo2.TabIndex = 21;
			this.txt4ChDo2.Text = "";
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(96, 16);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(32, 16);
			this.label9.TabIndex = 20;
			this.label9.Text = "DO2:";
			// 
			// txt4ChDoImg1
			// 
			this.txt4ChDoImg1.Location = new System.Drawing.Point(256, 8);
			this.txt4ChDoImg1.MaxLength = 1;
			this.txt4ChDoImg1.Name = "txt4ChDoImg1";
			this.txt4ChDoImg1.ReadOnly = true;
			this.txt4ChDoImg1.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDoImg1.TabIndex = 19;
			this.txt4ChDoImg1.Text = "";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(200, 16);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(64, 16);
			this.label5.TabIndex = 18;
			this.label5.Text = "DO1(Img):";
			// 
			// txt4ChDiImg1
			// 
			this.txt4ChDiImg1.Location = new System.Drawing.Point(256, 32);
			this.txt4ChDiImg1.MaxLength = 1;
			this.txt4ChDiImg1.Name = "txt4ChDiImg1";
			this.txt4ChDiImg1.ReadOnly = true;
			this.txt4ChDiImg1.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDiImg1.TabIndex = 17;
			this.txt4ChDiImg1.Text = "";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(200, 40);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(56, 16);
			this.label6.TabIndex = 16;
			this.label6.Text = "DI1(Img):";
			// 
			// but4ChDi2
			// 
			this.but4ChDi2.Location = new System.Drawing.Point(128, 32);
			this.but4ChDi2.Name = "but4ChDi2";
			this.but4ChDi2.Size = new System.Drawing.Size(32, 24);
			this.but4ChDi2.TabIndex = 15;
			this.but4ChDi2.Text = "Get";
			this.but4ChDi2.Click += new System.EventHandler(this.but4ChDi2_Click);
			// 
			// txt4ChDi2
			// 
			this.txt4ChDi2.Location = new System.Drawing.Point(160, 32);
			this.txt4ChDi2.MaxLength = 1;
			this.txt4ChDi2.Name = "txt4ChDi2";
			this.txt4ChDi2.ReadOnly = true;
			this.txt4ChDi2.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDi2.TabIndex = 14;
			this.txt4ChDi2.Text = "";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(96, 40);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(32, 16);
			this.label7.TabIndex = 13;
			this.label7.Text = "DI2:";
			// 
			// but4ChDo1
			// 
			this.but4ChDo1.Location = new System.Drawing.Point(64, 8);
			this.but4ChDo1.Name = "but4ChDo1";
			this.but4ChDo1.Size = new System.Drawing.Size(32, 24);
			this.but4ChDo1.TabIndex = 12;
			this.but4ChDo1.Text = "Set";
			this.but4ChDo1.Click += new System.EventHandler(this.but4ChDo1_Click);
			// 
			// txt4ChDo1
			// 
			this.txt4ChDo1.Location = new System.Drawing.Point(40, 8);
			this.txt4ChDo1.MaxLength = 1;
			this.txt4ChDo1.Name = "txt4ChDo1";
			this.txt4ChDo1.Size = new System.Drawing.Size(24, 21);
			this.txt4ChDo1.TabIndex = 11;
			this.txt4ChDo1.Text = "";
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(8, 16);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(32, 16);
			this.label8.TabIndex = 10;
			this.label8.Text = "DO1:";
			// 
			// txtNoSigNum
			// 
			this.txtNoSigNum.Location = new System.Drawing.Point(192, 112);
			this.txtNoSigNum.MaxLength = 1;
			this.txtNoSigNum.Name = "txtNoSigNum";
			this.txtNoSigNum.ReadOnly = true;
			this.txtNoSigNum.Size = new System.Drawing.Size(80, 21);
			this.txtNoSigNum.TabIndex = 17;
			this.txtNoSigNum.Text = "";
			// 
			// label17
			// 
			this.label17.Location = new System.Drawing.Point(128, 120);
			this.label17.Name = "label17";
			this.label17.Size = new System.Drawing.Size(64, 16);
			this.label17.TabIndex = 16;
			this.label17.Text = "No Signal#:";
			// 
			// txtImgNum
			// 
			this.txtImgNum.Location = new System.Drawing.Point(40, 112);
			this.txtImgNum.MaxLength = 1;
			this.txtImgNum.Name = "txtImgNum";
			this.txtImgNum.ReadOnly = true;
			this.txtImgNum.Size = new System.Drawing.Size(80, 21);
			this.txtImgNum.TabIndex = 15;
			this.txtImgNum.Text = "";
			// 
			// label18
			// 
			this.label18.Location = new System.Drawing.Point(8, 120);
			this.label18.Name = "label18";
			this.label18.Size = new System.Drawing.Size(32, 16);
			this.label18.TabIndex = 14;
			this.label18.Text = "Img#:";
			// 
			// txtMdNum
			// 
			this.txtMdNum.Location = new System.Drawing.Point(40, 136);
			this.txtMdNum.MaxLength = 1;
			this.txtMdNum.Name = "txtMdNum";
			this.txtMdNum.ReadOnly = true;
			this.txtMdNum.Size = new System.Drawing.Size(96, 21);
			this.txtMdNum.TabIndex = 19;
			this.txtMdNum.Text = "";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(8, 144);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(32, 16);
			this.label3.TabIndex = 18;
			this.label3.Text = "MD#:";
			// 
			// txtMdInfo
			// 
			this.txtMdInfo.Location = new System.Drawing.Point(136, 136);
			this.txtMdInfo.MaxLength = 1;
			this.txtMdInfo.Name = "txtMdInfo";
			this.txtMdInfo.ReadOnly = true;
			this.txtMdInfo.Size = new System.Drawing.Size(200, 21);
			this.txtMdInfo.TabIndex = 20;
			this.txtMdInfo.Text = "";
			// 
			// labPreset
			// 
			this.labPreset.Location = new System.Drawing.Point(8, 168);
			this.labPreset.Name = "labPreset";
			this.labPreset.Size = new System.Drawing.Size(40, 16);
			this.labPreset.TabIndex = 21;
			this.labPreset.Text = "Preset:";
			// 
			// comboPreset
			// 
			this.comboPreset.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboPreset.Location = new System.Drawing.Point(48, 160);
			this.comboPreset.MaxDropDownItems = 18;
			this.comboPreset.Name = "comboPreset";
			this.comboPreset.Size = new System.Drawing.Size(128, 19);
			this.comboPreset.TabIndex = 22;
			this.comboPreset.SelectedIndexChanged += new System.EventHandler(this.comboPreset_SelectedIndexChanged);
			// 
			// txtPreset
			// 
			this.txtPreset.Location = new System.Drawing.Point(176, 160);
			this.txtPreset.MaxLength = 32;
			this.txtPreset.Name = "txtPreset";
			this.txtPreset.Size = new System.Drawing.Size(104, 21);
			this.txtPreset.TabIndex = 23;
			this.txtPreset.Text = "";
			// 
			// butPresetAdd
			// 
			this.butPresetAdd.Location = new System.Drawing.Point(280, 160);
			this.butPresetAdd.Name = "butPresetAdd";
			this.butPresetAdd.Size = new System.Drawing.Size(40, 24);
			this.butPresetAdd.TabIndex = 24;
			this.butPresetAdd.Text = "Add";
			this.butPresetAdd.Click += new System.EventHandler(this.butPresetAdd_Click);
			// 
			// groupDecodeInfo
			// 
			this.groupDecodeInfo.Controls.AddRange(new System.Windows.Forms.Control[] {
																						  this.txtAudioTime,
																						  this.txtAudioSize,
																						  this.chkAudioDec,
																						  this.txtVideoTime,
																						  this.txtVideoSize,
																						  this.comboDecVideoFmt,
																						  this.txtJpegQ,
																						  this.label19,
																						  this.chkVideoDec});
			this.groupDecodeInfo.Location = new System.Drawing.Point(8, 184);
			this.groupDecodeInfo.Name = "groupDecodeInfo";
			this.groupDecodeInfo.Size = new System.Drawing.Size(376, 72);
			this.groupDecodeInfo.TabIndex = 25;
			this.groupDecodeInfo.TabStop = false;
			this.groupDecodeInfo.Text = "Decoded Info";
			// 
			// txtAudioTime
			// 
			this.txtAudioTime.Location = new System.Drawing.Point(264, 40);
			this.txtAudioTime.MaxLength = 1;
			this.txtAudioTime.Name = "txtAudioTime";
			this.txtAudioTime.ReadOnly = true;
			this.txtAudioTime.Size = new System.Drawing.Size(104, 21);
			this.txtAudioTime.TabIndex = 29;
			this.txtAudioTime.Text = "";
			// 
			// txtAudioSize
			// 
			this.txtAudioSize.Location = new System.Drawing.Point(176, 40);
			this.txtAudioSize.MaxLength = 1;
			this.txtAudioSize.Name = "txtAudioSize";
			this.txtAudioSize.ReadOnly = true;
			this.txtAudioSize.Size = new System.Drawing.Size(88, 21);
			this.txtAudioSize.TabIndex = 28;
			this.txtAudioSize.Text = "";
			// 
			// chkAudioDec
			// 
			this.chkAudioDec.Location = new System.Drawing.Point(8, 48);
			this.chkAudioDec.Name = "chkAudioDec";
			this.chkAudioDec.Size = new System.Drawing.Size(56, 16);
			this.chkAudioDec.TabIndex = 27;
			this.chkAudioDec.Text = "Audio";
			this.chkAudioDec.CheckedChanged += new System.EventHandler(this.chkAudioDec_CheckedChanged);
			// 
			// txtVideoTime
			// 
			this.txtVideoTime.Location = new System.Drawing.Point(264, 16);
			this.txtVideoTime.MaxLength = 1;
			this.txtVideoTime.Name = "txtVideoTime";
			this.txtVideoTime.ReadOnly = true;
			this.txtVideoTime.Size = new System.Drawing.Size(104, 21);
			this.txtVideoTime.TabIndex = 26;
			this.txtVideoTime.Text = "";
			// 
			// txtVideoSize
			// 
			this.txtVideoSize.Location = new System.Drawing.Point(176, 16);
			this.txtVideoSize.MaxLength = 1;
			this.txtVideoSize.Name = "txtVideoSize";
			this.txtVideoSize.ReadOnly = true;
			this.txtVideoSize.Size = new System.Drawing.Size(88, 21);
			this.txtVideoSize.TabIndex = 25;
			this.txtVideoSize.Text = "";
			// 
			// comboDecVideoFmt
			// 
			this.comboDecVideoFmt.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboDecVideoFmt.Items.AddRange(new object[] {
																  "Jpeg",
																  "BMP24",
																  "YUY2",
																  "RGB24",
																  "IYUV",
																  "YV12"});
			this.comboDecVideoFmt.Location = new System.Drawing.Point(128, 16);
			this.comboDecVideoFmt.Name = "comboDecVideoFmt";
			this.comboDecVideoFmt.Size = new System.Drawing.Size(48, 19);
			this.comboDecVideoFmt.TabIndex = 24;
			this.comboDecVideoFmt.SelectedIndexChanged += new System.EventHandler(this.comboDecVideoFmt_SelectedIndexChanged);
			// 
			// txtJpegQ
			// 
			this.txtJpegQ.Location = new System.Drawing.Point(104, 16);
			this.txtJpegQ.MaxLength = 3;
			this.txtJpegQ.Name = "txtJpegQ";
			this.txtJpegQ.Size = new System.Drawing.Size(24, 21);
			this.txtJpegQ.TabIndex = 23;
			this.txtJpegQ.Text = "20";
			this.txtJpegQ.TextChanged += new System.EventHandler(this.txtJpegQ_TextChanged);
			// 
			// label19
			// 
			this.label19.Location = new System.Drawing.Point(64, 24);
			this.label19.Name = "label19";
			this.label19.Size = new System.Drawing.Size(48, 16);
			this.label19.TabIndex = 22;
			this.label19.Text = "Jpeg Q:";
			// 
			// chkVideoDec
			// 
			this.chkVideoDec.Location = new System.Drawing.Point(8, 24);
			this.chkVideoDec.Name = "chkVideoDec";
			this.chkVideoDec.Size = new System.Drawing.Size(56, 16);
			this.chkVideoDec.TabIndex = 0;
			this.chkVideoDec.Text = "Video";
			this.chkVideoDec.CheckedChanged += new System.EventHandler(this.chkVideoDec_CheckedChanged);
			// 
			// groupBox2
			// 
			this.groupBox2.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.label24,
																					this.txtTotConnSecs,
																					this.label23,
																					this.txtConnSecs,
																					this.label22,
																					this.labABR,
																					this.txtAudioBR,
																					this.label21,
																					this.label20,
																					this.txtReconnTimes,
																					this.txtVideoBR,
																					this.txtFR});
			this.groupBox2.Location = new System.Drawing.Point(8, 256);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(376, 72);
			this.groupBox2.TabIndex = 26;
			this.groupBox2.TabStop = false;
			this.groupBox2.Text = "Conn Info";
			// 
			// label24
			// 
			this.label24.Location = new System.Drawing.Point(248, 48);
			this.label24.Name = "label24";
			this.label24.Size = new System.Drawing.Size(48, 16);
			this.label24.TabIndex = 38;
			this.label24.Text = "Tot Secs:";
			// 
			// txtTotConnSecs
			// 
			this.txtTotConnSecs.Location = new System.Drawing.Point(296, 40);
			this.txtTotConnSecs.MaxLength = 1;
			this.txtTotConnSecs.Name = "txtTotConnSecs";
			this.txtTotConnSecs.ReadOnly = true;
			this.txtTotConnSecs.Size = new System.Drawing.Size(72, 21);
			this.txtTotConnSecs.TabIndex = 37;
			this.txtTotConnSecs.Text = "";
			// 
			// label23
			// 
			this.label23.Location = new System.Drawing.Point(120, 48);
			this.label23.Name = "label23";
			this.label23.Size = new System.Drawing.Size(64, 16);
			this.label23.TabIndex = 36;
			this.label23.Text = "Conn Secs:";
			// 
			// txtConnSecs
			// 
			this.txtConnSecs.Location = new System.Drawing.Point(184, 40);
			this.txtConnSecs.MaxLength = 1;
			this.txtConnSecs.Name = "txtConnSecs";
			this.txtConnSecs.ReadOnly = true;
			this.txtConnSecs.Size = new System.Drawing.Size(56, 21);
			this.txtConnSecs.TabIndex = 35;
			this.txtConnSecs.Text = "";
			// 
			// label22
			// 
			this.label22.Location = new System.Drawing.Point(8, 48);
			this.label22.Name = "label22";
			this.label22.Size = new System.Drawing.Size(72, 16);
			this.label22.TabIndex = 34;
			this.label22.Text = "Reconn Times:";
			// 
			// labABR
			// 
			this.labABR.Location = new System.Drawing.Point(176, 24);
			this.labABR.Name = "labABR";
			this.labABR.Size = new System.Drawing.Size(32, 16);
			this.labABR.TabIndex = 33;
			this.labABR.Text = "ABR:";
			// 
			// txtAudioBR
			// 
			this.txtAudioBR.Location = new System.Drawing.Point(208, 16);
			this.txtAudioBR.MaxLength = 1;
			this.txtAudioBR.Name = "txtAudioBR";
			this.txtAudioBR.ReadOnly = true;
			this.txtAudioBR.Size = new System.Drawing.Size(64, 21);
			this.txtAudioBR.TabIndex = 32;
			this.txtAudioBR.Text = "";
			// 
			// label21
			// 
			this.label21.Location = new System.Drawing.Point(80, 24);
			this.label21.Name = "label21";
			this.label21.Size = new System.Drawing.Size(32, 16);
			this.label21.TabIndex = 31;
			this.label21.Text = "VBR:";
			// 
			// label20
			// 
			this.label20.Location = new System.Drawing.Point(8, 24);
			this.label20.Name = "label20";
			this.label20.Size = new System.Drawing.Size(24, 16);
			this.label20.TabIndex = 30;
			this.label20.Text = "FR:";
			// 
			// txtReconnTimes
			// 
			this.txtReconnTimes.Location = new System.Drawing.Point(80, 40);
			this.txtReconnTimes.MaxLength = 1;
			this.txtReconnTimes.Name = "txtReconnTimes";
			this.txtReconnTimes.ReadOnly = true;
			this.txtReconnTimes.Size = new System.Drawing.Size(40, 21);
			this.txtReconnTimes.TabIndex = 28;
			this.txtReconnTimes.Text = "";
			// 
			// txtVideoBR
			// 
			this.txtVideoBR.Location = new System.Drawing.Point(112, 16);
			this.txtVideoBR.MaxLength = 1;
			this.txtVideoBR.Name = "txtVideoBR";
			this.txtVideoBR.ReadOnly = true;
			this.txtVideoBR.Size = new System.Drawing.Size(64, 21);
			this.txtVideoBR.TabIndex = 26;
			this.txtVideoBR.Text = "";
			// 
			// txtFR
			// 
			this.txtFR.Location = new System.Drawing.Point(32, 16);
			this.txtFR.MaxLength = 1;
			this.txtFR.Name = "txtFR";
			this.txtFR.ReadOnly = true;
			this.txtFR.Size = new System.Drawing.Size(40, 21);
			this.txtFR.TabIndex = 25;
			this.txtFR.Text = "";
			// 
			// labCamCtrl
			// 
			this.labCamCtrl.Location = new System.Drawing.Point(8, 344);
			this.labCamCtrl.Name = "labCamCtrl";
			this.labCamCtrl.Size = new System.Drawing.Size(88, 16);
			this.labCamCtrl.TabIndex = 35;
			this.labCamCtrl.Text = "Camera Control:";
			// 
			// butUp
			// 
			this.butUp.Location = new System.Drawing.Point(96, 336);
			this.butUp.Name = "butUp";
			this.butUp.Size = new System.Drawing.Size(32, 24);
			this.butUp.TabIndex = 36;
			this.butUp.Text = "Up";
			this.butUp.Click += new System.EventHandler(this.butUp_Click);
			// 
			// butLeft
			// 
			this.butLeft.Location = new System.Drawing.Point(128, 336);
			this.butLeft.Name = "butLeft";
			this.butLeft.Size = new System.Drawing.Size(32, 24);
			this.butLeft.TabIndex = 37;
			this.butLeft.Text = "Left";
			this.butLeft.Click += new System.EventHandler(this.butLeft_Click);
			// 
			// butHome
			// 
			this.butHome.Location = new System.Drawing.Point(160, 336);
			this.butHome.Name = "butHome";
			this.butHome.Size = new System.Drawing.Size(48, 24);
			this.butHome.TabIndex = 38;
			this.butHome.Text = "Home";
			this.butHome.Click += new System.EventHandler(this.butHome_Click);
			// 
			// butRight
			// 
			this.butRight.Location = new System.Drawing.Point(208, 336);
			this.butRight.Name = "butRight";
			this.butRight.Size = new System.Drawing.Size(40, 24);
			this.butRight.TabIndex = 39;
			this.butRight.Text = "Right";
			this.butRight.Click += new System.EventHandler(this.butRight_Click);
			// 
			// butDown
			// 
			this.butDown.Location = new System.Drawing.Point(248, 336);
			this.butDown.Name = "butDown";
			this.butDown.Size = new System.Drawing.Size(48, 24);
			this.butDown.TabIndex = 40;
			this.butDown.Text = "Down";
			this.butDown.Click += new System.EventHandler(this.butDown_Click);
			// 
			// butZoomIn
			// 
			this.butZoomIn.Location = new System.Drawing.Point(296, 336);
			this.butZoomIn.Name = "butZoomIn";
			this.butZoomIn.Size = new System.Drawing.Size(56, 24);
			this.butZoomIn.TabIndex = 41;
			this.butZoomIn.Text = "Zoom In";
			this.butZoomIn.Click += new System.EventHandler(this.butZoomIn_Click);
			// 
			// butZoomOut
			// 
			this.butZoomOut.Location = new System.Drawing.Point(352, 336);
			this.butZoomOut.Name = "butZoomOut";
			this.butZoomOut.Size = new System.Drawing.Size(64, 24);
			this.butZoomOut.TabIndex = 42;
			this.butZoomOut.Text = "Zoom Out";
			this.butZoomOut.Click += new System.EventHandler(this.butZoomOut_Click);
			// 
			// butFocusFar
			// 
			this.butFocusFar.Location = new System.Drawing.Point(416, 336);
			this.butFocusFar.Name = "butFocusFar";
			this.butFocusFar.Size = new System.Drawing.Size(32, 24);
			this.butFocusFar.TabIndex = 43;
			this.butFocusFar.Text = "Far";
			this.butFocusFar.Click += new System.EventHandler(this.butFocusFar_Click);
			// 
			// butFocusNear
			// 
			this.butFocusNear.Location = new System.Drawing.Point(448, 336);
			this.butFocusNear.Name = "butFocusNear";
			this.butFocusNear.Size = new System.Drawing.Size(40, 24);
			this.butFocusNear.TabIndex = 44;
			this.butFocusNear.Text = "Near";
			this.butFocusNear.Click += new System.EventHandler(this.butFocusNear_Click);
			// 
			// butFocusAuto
			// 
			this.butFocusAuto.Location = new System.Drawing.Point(488, 336);
			this.butFocusAuto.Name = "butFocusAuto";
			this.butFocusAuto.Size = new System.Drawing.Size(40, 24);
			this.butFocusAuto.TabIndex = 45;
			this.butFocusAuto.Text = "Auto";
			this.butFocusAuto.Click += new System.EventHandler(this.butFocusAuto_Click);
			// 
			// butPTPan
			// 
			this.butPTPan.Location = new System.Drawing.Point(528, 336);
			this.butPTPan.Name = "butPTPan";
			this.butPTPan.Size = new System.Drawing.Size(32, 24);
			this.butPTPan.TabIndex = 46;
			this.butPTPan.Text = "Pan";
			this.butPTPan.Click += new System.EventHandler(this.butPTPan_Click);
			// 
			// butPTPatrol
			// 
			this.butPTPatrol.Location = new System.Drawing.Point(560, 336);
			this.butPTPatrol.Name = "butPTPatrol";
			this.butPTPatrol.Size = new System.Drawing.Size(40, 24);
			this.butPTPatrol.TabIndex = 47;
			this.butPTPatrol.Text = "Patrol";
			this.butPTPatrol.Click += new System.EventHandler(this.butPTPatrol_Click);
			// 
			// butPTStop
			// 
			this.butPTStop.Location = new System.Drawing.Point(600, 336);
			this.butPTStop.Name = "butPTStop";
			this.butPTStop.Size = new System.Drawing.Size(40, 24);
			this.butPTStop.TabIndex = 48;
			this.butPTStop.Text = "Stop";
			this.butPTStop.Click += new System.EventHandler(this.butPTStop_Click);
			// 
			// label26
			// 
			this.label26.Location = new System.Drawing.Point(8, 368);
			this.label26.Name = "label26";
			this.label26.Size = new System.Drawing.Size(56, 16);
			this.label26.TabIndex = 49;
			this.label26.Text = "Server IP:";
			// 
			// txtServerIP
			// 
			this.txtServerIP.Location = new System.Drawing.Point(56, 360);
			this.txtServerIP.MaxLength = 65;
			this.txtServerIP.Name = "txtServerIP";
			this.txtServerIP.Size = new System.Drawing.Size(104, 21);
			this.txtServerIP.TabIndex = 50;
			this.txtServerIP.Text = "192.168.1.90";
			// 
			// txtServerPort
			// 
			this.txtServerPort.Location = new System.Drawing.Point(200, 360);
			this.txtServerPort.MaxLength = 5;
			this.txtServerPort.Name = "txtServerPort";
			this.txtServerPort.Size = new System.Drawing.Size(40, 21);
			this.txtServerPort.TabIndex = 52;
			this.txtServerPort.Text = "80";
			// 
			// label27
			// 
			this.label27.Location = new System.Drawing.Point(168, 368);
			this.label27.Name = "label27";
			this.label27.Size = new System.Drawing.Size(32, 16);
			this.label27.TabIndex = 51;
			this.label27.Text = "Port:";
			// 
			// txtUserID
			// 
			this.txtUserID.Location = new System.Drawing.Point(296, 360);
			this.txtUserID.MaxLength = 16;
			this.txtUserID.Name = "txtUserID";
			this.txtUserID.Size = new System.Drawing.Size(48, 21);
			this.txtUserID.TabIndex = 54;
			this.txtUserID.Text = "root";
			// 
			// label28
			// 
			this.label28.Location = new System.Drawing.Point(248, 368);
			this.label28.Name = "label28";
			this.label28.Size = new System.Drawing.Size(48, 16);
			this.label28.TabIndex = 53;
			this.label28.Text = "Root ID:";
			// 
			// txtUserPwd
			// 
			this.txtUserPwd.Location = new System.Drawing.Point(376, 360);
			this.txtUserPwd.MaxLength = 16;
			this.txtUserPwd.Name = "txtUserPwd";
			this.txtUserPwd.Size = new System.Drawing.Size(48, 21);
			this.txtUserPwd.TabIndex = 56;
			this.txtUserPwd.Text = "123";
			// 
			// label29
			// 
			this.label29.Location = new System.Drawing.Point(344, 368);
			this.label29.Name = "label29";
			this.label29.Size = new System.Drawing.Size(32, 16);
			this.label29.TabIndex = 55;
			this.label29.Text = "Pwd:";
			// 
			// butStart
			// 
			this.butStart.Location = new System.Drawing.Point(608, 360);
			this.butStart.Name = "butStart";
			this.butStart.Size = new System.Drawing.Size(88, 24);
			this.butStart.TabIndex = 57;
			this.butStart.Text = "Start";
			this.butStart.Click += new System.EventHandler(this.butStart_Click);
			// 
			// chkAutoReconn
			// 
			this.chkAutoReconn.Checked = true;
			this.chkAutoReconn.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkAutoReconn.Location = new System.Drawing.Point(696, 368);
			this.chkAutoReconn.Name = "chkAutoReconn";
			this.chkAutoReconn.Size = new System.Drawing.Size(112, 16);
			this.chkAutoReconn.TabIndex = 58;
			this.chkAutoReconn.Text = "Auto Reconnect";
			this.chkAutoReconn.CheckedChanged += new System.EventHandler(this.chkAutoReconn_CheckedChanged);
			// 
			// label30
			// 
			this.label30.Location = new System.Drawing.Point(8, 400);
			this.label30.Name = "label30";
			this.label30.Size = new System.Drawing.Size(80, 16);
			this.label30.TabIndex = 59;
			this.label30.Text = "Streaming Opt:";
			// 
			// comboStreamingOpt
			// 
			this.comboStreamingOpt.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboStreamingOpt.Items.AddRange(new object[] {
																   "Streaming",
																   "Single JPEG"});
			this.comboStreamingOpt.Location = new System.Drawing.Point(80, 392);
			this.comboStreamingOpt.MaxDropDownItems = 18;
			this.comboStreamingOpt.Name = "comboStreamingOpt";
			this.comboStreamingOpt.Size = new System.Drawing.Size(88, 19);
			this.comboStreamingOpt.TabIndex = 60;
			this.comboStreamingOpt.SelectedIndexChanged += new System.EventHandler(this.comboStreamingOpt_SelectedIndexChanged);
			// 
			// txtPerSecs
			// 
			this.txtPerSecs.Location = new System.Drawing.Point(192, 392);
			this.txtPerSecs.MaxLength = 3;
			this.txtPerSecs.Name = "txtPerSecs";
			this.txtPerSecs.Size = new System.Drawing.Size(24, 21);
			this.txtPerSecs.TabIndex = 62;
			this.txtPerSecs.Text = "1";
			this.txtPerSecs.TextChanged += new System.EventHandler(this.txtPerSecs_TextChanged);
			// 
			// labPer
			// 
			this.labPer.Location = new System.Drawing.Point(168, 400);
			this.labPer.Name = "labPer";
			this.labPer.Size = new System.Drawing.Size(24, 16);
			this.labPer.TabIndex = 61;
			this.labPer.Text = "Per:";
			// 
			// labSecs
			// 
			this.labSecs.Location = new System.Drawing.Point(216, 400);
			this.labSecs.Name = "labSecs";
			this.labSecs.Size = new System.Drawing.Size(32, 16);
			this.labSecs.TabIndex = 63;
			this.labSecs.Text = "Secs";
			// 
			// panelConnNon2K
			// 
			this.panelConnNon2K.Controls.AddRange(new System.Windows.Forms.Control[] {
																						 this.chkConnVs3101,
																						 this.chkAudio,
																						 this.chkMDEditMode,
																						 this.comboProtocol,
																						 this.label31});
			this.panelConnNon2K.Location = new System.Drawing.Point(248, 384);
			this.panelConnNon2K.Name = "panelConnNon2K";
			this.panelConnNon2K.Size = new System.Drawing.Size(392, 40);
			this.panelConnNon2K.TabIndex = 64;
			// 
			// chkConnVs3101
			// 
			this.chkConnVs3101.Location = new System.Drawing.Point(312, 16);
			this.chkConnVs3101.Name = "chkConnVs3101";
			this.chkConnVs3101.Size = new System.Drawing.Size(112, 16);
			this.chkConnVs3101.TabIndex = 65;
			this.chkConnVs3101.Text = "Connect VS3101";
			// 
			// chkAudio
			// 
			this.chkAudio.Checked = true;
			this.chkAudio.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkAudio.Location = new System.Drawing.Point(248, 16);
			this.chkAudio.Name = "chkAudio";
			this.chkAudio.Size = new System.Drawing.Size(56, 16);
			this.chkAudio.TabIndex = 64;
			this.chkAudio.Text = "Audio";
			this.chkAudio.CheckedChanged += new System.EventHandler(this.chkAudio_CheckedChanged);
			// 
			// chkMDEditMode
			// 
			this.chkMDEditMode.Location = new System.Drawing.Point(144, 16);
			this.chkMDEditMode.Name = "chkMDEditMode";
			this.chkMDEditMode.Size = new System.Drawing.Size(96, 16);
			this.chkMDEditMode.TabIndex = 63;
			this.chkMDEditMode.Text = "MD Edit Mode";
			this.chkMDEditMode.CheckedChanged += new System.EventHandler(this.chkMDEditMode_CheckedChanged);
			// 
			// comboProtocol
			// 
			this.comboProtocol.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboProtocol.Items.AddRange(new object[] {
															   "UDP",
															   "TCP",
															   "HTTP"});
			this.comboProtocol.Location = new System.Drawing.Point(56, 8);
			this.comboProtocol.MaxDropDownItems = 18;
			this.comboProtocol.Name = "comboProtocol";
			this.comboProtocol.Size = new System.Drawing.Size(88, 19);
			this.comboProtocol.TabIndex = 62;
			this.comboProtocol.SelectedIndexChanged += new System.EventHandler(this.comboProtocol_SelectedIndexChanged);
			// 
			// label31
			// 
			this.label31.Location = new System.Drawing.Point(8, 16);
			this.label31.Name = "label31";
			this.label31.Size = new System.Drawing.Size(48, 16);
			this.label31.TabIndex = 61;
			this.label31.Text = "Protocol:";
			// 
			// panelConn2K
			// 
			this.panelConn2K.Controls.AddRange(new System.Windows.Forms.Control[] {
																					  this.comboChannel,
																					  this.labChannel,
																					  this.comboVSize,
																					  this.label33,
																					  this.comboQuality,
																					  this.label32});
			this.panelConn2K.Location = new System.Drawing.Point(352, 128);
			this.panelConn2K.Name = "panelConn2K";
			this.panelConn2K.Size = new System.Drawing.Size(360, 40);
			this.panelConn2K.TabIndex = 65;
			// 
			// comboChannel
			// 
			this.comboChannel.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboChannel.Items.AddRange(new object[] {
															  "1",
															  "2",
															  "3",
															  "4"});
			this.comboChannel.Location = new System.Drawing.Point(280, 4);
			this.comboChannel.MaxDropDownItems = 18;
			this.comboChannel.Name = "comboChannel";
			this.comboChannel.Size = new System.Drawing.Size(64, 19);
			this.comboChannel.TabIndex = 66;
			this.comboChannel.SelectedIndexChanged += new System.EventHandler(this.comboChannel_SelectedIndexChanged);
			// 
			// labChannel
			// 
			this.labChannel.Location = new System.Drawing.Point(232, 12);
			this.labChannel.Name = "labChannel";
			this.labChannel.Size = new System.Drawing.Size(48, 16);
			this.labChannel.TabIndex = 65;
			this.labChannel.Text = "Channel:";
			// 
			// comboVSize
			// 
			this.comboVSize.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboVSize.Items.AddRange(new object[] {
															"Half",
															"Normal",
															"Double"});
			this.comboVSize.Location = new System.Drawing.Point(160, 4);
			this.comboVSize.MaxDropDownItems = 18;
			this.comboVSize.Name = "comboVSize";
			this.comboVSize.Size = new System.Drawing.Size(64, 19);
			this.comboVSize.TabIndex = 64;
			this.comboVSize.SelectedIndexChanged += new System.EventHandler(this.comboVSize_SelectedIndexChanged);
			// 
			// label33
			// 
			this.label33.Location = new System.Drawing.Point(128, 12);
			this.label33.Name = "label33";
			this.label33.Size = new System.Drawing.Size(32, 16);
			this.label33.TabIndex = 63;
			this.label33.Text = "Size:";
			// 
			// comboQuality
			// 
			this.comboQuality.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboQuality.Items.AddRange(new object[] {
															  "Mediam",
															  "Standard",
															  "Good",
															  "Detailed",
															  "Excellent"});
			this.comboQuality.Location = new System.Drawing.Point(56, 8);
			this.comboQuality.MaxDropDownItems = 18;
			this.comboQuality.Name = "comboQuality";
			this.comboQuality.Size = new System.Drawing.Size(72, 19);
			this.comboQuality.TabIndex = 62;
			this.comboQuality.SelectedIndexChanged += new System.EventHandler(this.comboQuality_SelectedIndexChanged);
			// 
			// label32
			// 
			this.label32.Location = new System.Drawing.Point(8, 16);
			this.label32.Name = "label32";
			this.label32.Size = new System.Drawing.Size(48, 16);
			this.label32.TabIndex = 61;
			this.label32.Text = "Quality:";
			// 
			// groupBox3
			// 
			this.groupBox3.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.label4,
																					this.chkMotionFrm,
																					this.chkForceNonYUV,
																					this.chkDecodeAV,
																					this.chkTalkBtn,
																					this.chkMicCtrl,
																					this.chkVolumeCtrl,
																					this.comboUserTimeFmt,
																					this.label34,
																					this.chkUserDateFmt,
																					this.chkZoomEnabled,
																					this.chkZoomEdit,
																					this.chkStretch,
																					this.chkDisplay,
																					this.chkDeblocking,
																					this.chkIgnoreCaption,
																					this.chkIgnoreBorder,
																					this.chkDDrawOnePass,
																					this.chkGDIStretchBlt,
																					this.chkForceGDI,
																					this.txtDisplayPeriod});
			this.groupBox3.Location = new System.Drawing.Point(8, 424);
			this.groupBox3.Name = "groupBox3";
			this.groupBox3.Size = new System.Drawing.Size(728, 80);
			this.groupBox3.TabIndex = 67;
			this.groupBox3.TabStop = false;
			this.groupBox3.Text = "Misc Opts";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(216, 56);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(72, 16);
			this.label4.TabIndex = 86;
			this.label4.Text = "Display Period";
			// 
			// chkMotionFrm
			// 
			this.chkMotionFrm.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkMotionFrm.Checked = true;
			this.chkMotionFrm.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkMotionFrm.Location = new System.Drawing.Point(152, 48);
			this.chkMotionFrm.Name = "chkMotionFrm";
			this.chkMotionFrm.Size = new System.Drawing.Size(64, 24);
			this.chkMotionFrm.TabIndex = 85;
			this.chkMotionFrm.Text = "Motion Frm";
			this.chkMotionFrm.CheckedChanged += new System.EventHandler(this.chkMotionFrm_CheckedChanged);
			// 
			// chkForceNonYUV
			// 
			this.chkForceNonYUV.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkForceNonYUV.Location = new System.Drawing.Point(632, 24);
			this.chkForceNonYUV.Name = "chkForceNonYUV";
			this.chkForceNonYUV.Size = new System.Drawing.Size(88, 24);
			this.chkForceNonYUV.TabIndex = 84;
			this.chkForceNonYUV.Text = "Force NonYUV";
			this.chkForceNonYUV.CheckedChanged += new System.EventHandler(this.chkForceNonYUV_CheckedChanged);
			// 
			// chkDecodeAV
			// 
			this.chkDecodeAV.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkDecodeAV.Checked = true;
			this.chkDecodeAV.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkDecodeAV.Location = new System.Drawing.Point(568, 24);
			this.chkDecodeAV.Name = "chkDecodeAV";
			this.chkDecodeAV.Size = new System.Drawing.Size(64, 24);
			this.chkDecodeAV.TabIndex = 83;
			this.chkDecodeAV.Text = "Decode AV";
			this.chkDecodeAV.CheckedChanged += new System.EventHandler(this.chkDecodeAV_CheckedChanged);
			// 
			// chkTalkBtn
			// 
			this.chkTalkBtn.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkTalkBtn.Checked = true;
			this.chkTalkBtn.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkTalkBtn.Location = new System.Drawing.Point(664, 48);
			this.chkTalkBtn.Name = "chkTalkBtn";
			this.chkTalkBtn.Size = new System.Drawing.Size(56, 24);
			this.chkTalkBtn.TabIndex = 82;
			this.chkTalkBtn.Text = "Talk Btn";
			this.chkTalkBtn.CheckedChanged += new System.EventHandler(this.chkTalkBtn_CheckedChanged);
			// 
			// chkMicCtrl
			// 
			this.chkMicCtrl.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkMicCtrl.Checked = true;
			this.chkMicCtrl.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkMicCtrl.Location = new System.Drawing.Point(616, 48);
			this.chkMicCtrl.Name = "chkMicCtrl";
			this.chkMicCtrl.Size = new System.Drawing.Size(48, 24);
			this.chkMicCtrl.TabIndex = 81;
			this.chkMicCtrl.Text = "Mic Btn";
			this.chkMicCtrl.CheckedChanged += new System.EventHandler(this.chkMicCtrl_CheckedChanged);
			// 
			// chkVolumeCtrl
			// 
			this.chkVolumeCtrl.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkVolumeCtrl.Checked = true;
			this.chkVolumeCtrl.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkVolumeCtrl.Location = new System.Drawing.Point(568, 48);
			this.chkVolumeCtrl.Name = "chkVolumeCtrl";
			this.chkVolumeCtrl.Size = new System.Drawing.Size(48, 24);
			this.chkVolumeCtrl.TabIndex = 80;
			this.chkVolumeCtrl.Text = "Vol Btn";
			this.chkVolumeCtrl.CheckedChanged += new System.EventHandler(this.chkVolumeCtrl_CheckedChanged);
			// 
			// comboUserTimeFmt
			// 
			this.comboUserTimeFmt.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboUserTimeFmt.Items.AddRange(new object[] {
																  "24 hrs",
																  "12 hrs",
																  "User Defined"});
			this.comboUserTimeFmt.Location = new System.Drawing.Point(504, 56);
			this.comboUserTimeFmt.MaxDropDownItems = 18;
			this.comboUserTimeFmt.Name = "comboUserTimeFmt";
			this.comboUserTimeFmt.Size = new System.Drawing.Size(64, 19);
			this.comboUserTimeFmt.TabIndex = 79;
			this.comboUserTimeFmt.SelectedIndexChanged += new System.EventHandler(this.comboUserTimeFmt_SelectedIndexChanged);
			// 
			// label34
			// 
			this.label34.Location = new System.Drawing.Point(448, 56);
			this.label34.Name = "label34";
			this.label34.Size = new System.Drawing.Size(48, 16);
			this.label34.TabIndex = 78;
			this.label34.Text = "Time Fmt:";
			// 
			// chkUserDateFmt
			// 
			this.chkUserDateFmt.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkUserDateFmt.Location = new System.Drawing.Point(368, 48);
			this.chkUserDateFmt.Name = "chkUserDateFmt";
			this.chkUserDateFmt.Size = new System.Drawing.Size(80, 24);
			this.chkUserDateFmt.TabIndex = 77;
			this.chkUserDateFmt.Text = "User Date Fmt";
			this.chkUserDateFmt.CheckedChanged += new System.EventHandler(this.chkUserDateFmt_CheckedChanged);
			// 
			// chkZoomEnabled
			// 
			this.chkZoomEnabled.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkZoomEnabled.Location = new System.Drawing.Point(72, 48);
			this.chkZoomEnabled.Name = "chkZoomEnabled";
			this.chkZoomEnabled.Size = new System.Drawing.Size(80, 24);
			this.chkZoomEnabled.TabIndex = 76;
			this.chkZoomEnabled.Text = "Zoom Enabled";
			this.chkZoomEnabled.CheckedChanged += new System.EventHandler(this.chkZoomEnabled_CheckedChanged);
			// 
			// chkZoomEdit
			// 
			this.chkZoomEdit.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkZoomEdit.Checked = true;
			this.chkZoomEdit.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkZoomEdit.Location = new System.Drawing.Point(8, 48);
			this.chkZoomEdit.Name = "chkZoomEdit";
			this.chkZoomEdit.Size = new System.Drawing.Size(64, 24);
			this.chkZoomEdit.TabIndex = 75;
			this.chkZoomEdit.Text = "Zoom Edit";
			this.chkZoomEdit.CheckedChanged += new System.EventHandler(this.chkZoomEdit_CheckedChanged);
			// 
			// chkStretch
			// 
			this.chkStretch.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkStretch.Checked = true;
			this.chkStretch.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkStretch.Location = new System.Drawing.Point(512, 24);
			this.chkStretch.Name = "chkStretch";
			this.chkStretch.Size = new System.Drawing.Size(56, 24);
			this.chkStretch.TabIndex = 74;
			this.chkStretch.Text = "Stretch";
			this.chkStretch.CheckedChanged += new System.EventHandler(this.chkStretch_CheckedChanged);
			// 
			// chkDisplay
			// 
			this.chkDisplay.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkDisplay.Checked = true;
			this.chkDisplay.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkDisplay.Location = new System.Drawing.Point(456, 24);
			this.chkDisplay.Name = "chkDisplay";
			this.chkDisplay.Size = new System.Drawing.Size(56, 24);
			this.chkDisplay.TabIndex = 73;
			this.chkDisplay.Text = "Display";
			this.chkDisplay.CheckedChanged += new System.EventHandler(this.chkDisplay_CheckedChanged);
			// 
			// chkDeblocking
			// 
			this.chkDeblocking.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkDeblocking.Location = new System.Drawing.Point(392, 24);
			this.chkDeblocking.Name = "chkDeblocking";
			this.chkDeblocking.Size = new System.Drawing.Size(64, 24);
			this.chkDeblocking.TabIndex = 72;
			this.chkDeblocking.Text = "Deblocking";
			this.chkDeblocking.CheckedChanged += new System.EventHandler(this.chkDeblocking_CheckedChanged);
			// 
			// chkIgnoreCaption
			// 
			this.chkIgnoreCaption.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkIgnoreCaption.Location = new System.Drawing.Point(312, 24);
			this.chkIgnoreCaption.Name = "chkIgnoreCaption";
			this.chkIgnoreCaption.Size = new System.Drawing.Size(80, 24);
			this.chkIgnoreCaption.TabIndex = 71;
			this.chkIgnoreCaption.Text = "Ignore Caption";
			this.chkIgnoreCaption.CheckedChanged += new System.EventHandler(this.chkIgnoreCaption_CheckedChanged);
			// 
			// chkIgnoreBorder
			// 
			this.chkIgnoreBorder.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkIgnoreBorder.Location = new System.Drawing.Point(240, 24);
			this.chkIgnoreBorder.Name = "chkIgnoreBorder";
			this.chkIgnoreBorder.Size = new System.Drawing.Size(72, 24);
			this.chkIgnoreBorder.TabIndex = 70;
			this.chkIgnoreBorder.Text = "Ignore Border";
			this.chkIgnoreBorder.CheckedChanged += new System.EventHandler(this.chkIgnoreBorder_CheckedChanged);
			// 
			// chkDDrawOnePass
			// 
			this.chkDDrawOnePass.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkDDrawOnePass.Location = new System.Drawing.Point(152, 24);
			this.chkDDrawOnePass.Name = "chkDDrawOnePass";
			this.chkDDrawOnePass.Size = new System.Drawing.Size(88, 24);
			this.chkDDrawOnePass.TabIndex = 69;
			this.chkDDrawOnePass.Text = "DDraw OnePass";
			this.chkDDrawOnePass.CheckedChanged += new System.EventHandler(this.chkDDrawOnePass_CheckedChanged);
			// 
			// chkGDIStretchBlt
			// 
			this.chkGDIStretchBlt.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkGDIStretchBlt.Location = new System.Drawing.Point(72, 24);
			this.chkGDIStretchBlt.Name = "chkGDIStretchBlt";
			this.chkGDIStretchBlt.Size = new System.Drawing.Size(80, 24);
			this.chkGDIStretchBlt.TabIndex = 68;
			this.chkGDIStretchBlt.Text = "GDI StretchBlt";
			this.chkGDIStretchBlt.CheckedChanged += new System.EventHandler(this.chkGDIStretchBlt_CheckedChanged);
			// 
			// chkForceGDI
			// 
			this.chkForceGDI.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkForceGDI.Location = new System.Drawing.Point(8, 24);
			this.chkForceGDI.Name = "chkForceGDI";
			this.chkForceGDI.Size = new System.Drawing.Size(64, 24);
			this.chkForceGDI.TabIndex = 67;
			this.chkForceGDI.Text = "Force GDI";
			this.chkForceGDI.CheckedChanged += new System.EventHandler(this.chkForceGDI_CheckedChanged);
			// 
			// txtDisplayPeriod
			// 
			this.txtDisplayPeriod.Font = new System.Drawing.Font("PMingLiU", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(136)));
			this.txtDisplayPeriod.Location = new System.Drawing.Point(296, 56);
			this.txtDisplayPeriod.Name = "txtDisplayPeriod";
			this.txtDisplayPeriod.Size = new System.Drawing.Size(32, 21);
			this.txtDisplayPeriod.TabIndex = 87;
			this.txtDisplayPeriod.Text = "1";
			this.txtDisplayPeriod.TextChanged += new System.EventHandler(this.txtDisplayPeriod_TextChanged);
			// 
			// labSnapFile
			// 
			this.labSnapFile.Location = new System.Drawing.Point(8, 512);
			this.labSnapFile.Name = "labSnapFile";
			this.labSnapFile.Size = new System.Drawing.Size(32, 16);
			this.labSnapFile.TabIndex = 68;
			this.labSnapFile.Text = "File:";
			// 
			// txtSnapshotFile
			// 
			this.txtSnapshotFile.Location = new System.Drawing.Point(32, 504);
			this.txtSnapshotFile.MaxLength = 256;
			this.txtSnapshotFile.Name = "txtSnapshotFile";
			this.txtSnapshotFile.Size = new System.Drawing.Size(128, 21);
			this.txtSnapshotFile.TabIndex = 69;
			this.txtSnapshotFile.Text = "";
			// 
			// butSaveSnapshot
			// 
			this.butSaveSnapshot.Location = new System.Drawing.Point(160, 504);
			this.butSaveSnapshot.Name = "butSaveSnapshot";
			this.butSaveSnapshot.Size = new System.Drawing.Size(88, 24);
			this.butSaveSnapshot.TabIndex = 70;
			this.butSaveSnapshot.Text = "Save Snapshot";
			this.butSaveSnapshot.Click += new System.EventHandler(this.butSaveSnapshot_Click);
			// 
			// labSnapshotFmt
			// 
			this.labSnapshotFmt.Location = new System.Drawing.Point(248, 512);
			this.labSnapshotFmt.Name = "labSnapshotFmt";
			this.labSnapshotFmt.Size = new System.Drawing.Size(32, 16);
			this.labSnapshotFmt.TabIndex = 71;
			this.labSnapshotFmt.Text = "Fmt:";
			// 
			// comboSnapshotFmt
			// 
			this.comboSnapshotFmt.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboSnapshotFmt.Items.AddRange(new object[] {
																  "Jpeg",
																  "Bitmap",
																  "YUY2",
																  "RGB24",
																  "IYUV",
																  "YU12"});
			this.comboSnapshotFmt.Location = new System.Drawing.Point(272, 504);
			this.comboSnapshotFmt.MaxDropDownItems = 18;
			this.comboSnapshotFmt.Name = "comboSnapshotFmt";
			this.comboSnapshotFmt.Size = new System.Drawing.Size(56, 19);
			this.comboSnapshotFmt.TabIndex = 80;
			// 
			// labUart
			// 
			this.labUart.Location = new System.Drawing.Point(336, 512);
			this.labUart.Name = "labUart";
			this.labUart.Size = new System.Drawing.Size(40, 16);
			this.labUart.TabIndex = 81;
			this.labUart.Text = "UART:";
			// 
			// txtUart
			// 
			this.txtUart.Location = new System.Drawing.Point(376, 504);
			this.txtUart.MaxLength = 128;
			this.txtUart.Name = "txtUart";
			this.txtUart.Size = new System.Drawing.Size(88, 21);
			this.txtUart.TabIndex = 82;
			this.txtUart.Text = "";
			// 
			// butUartRead
			// 
			this.butUartRead.Location = new System.Drawing.Point(464, 504);
			this.butUartRead.Name = "butUartRead";
			this.butUartRead.Size = new System.Drawing.Size(40, 24);
			this.butUartRead.TabIndex = 83;
			this.butUartRead.Text = "Read";
			this.butUartRead.Click += new System.EventHandler(this.butUartRead_Click);
			// 
			// butUartSend
			// 
			this.butUartSend.Location = new System.Drawing.Point(504, 504);
			this.butUartSend.Name = "butUartSend";
			this.butUartSend.Size = new System.Drawing.Size(40, 24);
			this.butUartSend.TabIndex = 84;
			this.butUartSend.Text = "Send";
			this.butUartSend.Click += new System.EventHandler(this.butUartSend_Click);
			// 
			// comboPort
			// 
			this.comboPort.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboPort.Items.AddRange(new object[] {
														   "1",
														   "2"});
			this.comboPort.Location = new System.Drawing.Point(576, 504);
			this.comboPort.MaxDropDownItems = 18;
			this.comboPort.Name = "comboPort";
			this.comboPort.Size = new System.Drawing.Size(32, 19);
			this.comboPort.TabIndex = 86;
			// 
			// labPort
			// 
			this.labPort.Location = new System.Drawing.Point(544, 512);
			this.labPort.Name = "labPort";
			this.labPort.Size = new System.Drawing.Size(32, 16);
			this.labPort.TabIndex = 85;
			this.labPort.Text = "Port:";
			// 
			// groupBox4
			// 
			this.groupBox4.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.txtSetValue,
																					this.labValue,
																					this.butSetSet,
																					this.txtSecEntry,
																					this.labSecEntry,
																					this.butSetRead,
																					this.txtIndex,
																					this.labSetIdx,
																					this.butSetUpdate,
																					this.butSetRefresh});
			this.groupBox4.Location = new System.Drawing.Point(744, 432);
			this.groupBox4.Name = "groupBox4";
			this.groupBox4.Size = new System.Drawing.Size(216, 128);
			this.groupBox4.TabIndex = 87;
			this.groupBox4.TabStop = false;
			this.groupBox4.Text = "Server Settings";
			// 
			// txtSetValue
			// 
			this.txtSetValue.Enabled = false;
			this.txtSetValue.Location = new System.Drawing.Point(64, 96);
			this.txtSetValue.Name = "txtSetValue";
			this.txtSetValue.Size = new System.Drawing.Size(136, 21);
			this.txtSetValue.TabIndex = 89;
			this.txtSetValue.Text = "";
			// 
			// labValue
			// 
			this.labValue.Location = new System.Drawing.Point(8, 104);
			this.labValue.Name = "labValue";
			this.labValue.Size = new System.Drawing.Size(40, 16);
			this.labValue.TabIndex = 88;
			this.labValue.Text = "Value:";
			// 
			// butSetSet
			// 
			this.butSetSet.Enabled = false;
			this.butSetSet.Location = new System.Drawing.Point(144, 48);
			this.butSetSet.Name = "butSetSet";
			this.butSetSet.Size = new System.Drawing.Size(40, 24);
			this.butSetSet.TabIndex = 87;
			this.butSetSet.Text = "Set";
			this.butSetSet.Click += new System.EventHandler(this.butSetSet_Click);
			// 
			// txtSecEntry
			// 
			this.txtSecEntry.Location = new System.Drawing.Point(64, 72);
			this.txtSecEntry.MaxLength = 1;
			this.txtSecEntry.Name = "txtSecEntry";
			this.txtSecEntry.ReadOnly = true;
			this.txtSecEntry.Size = new System.Drawing.Size(136, 21);
			this.txtSecEntry.TabIndex = 86;
			this.txtSecEntry.Text = "";
			// 
			// labSecEntry
			// 
			this.labSecEntry.Location = new System.Drawing.Point(8, 80);
			this.labSecEntry.Name = "labSecEntry";
			this.labSecEntry.Size = new System.Drawing.Size(56, 16);
			this.labSecEntry.TabIndex = 85;
			this.labSecEntry.Text = "Sec/Entry:";
			// 
			// butSetRead
			// 
			this.butSetRead.Enabled = false;
			this.butSetRead.Location = new System.Drawing.Point(104, 48);
			this.butSetRead.Name = "butSetRead";
			this.butSetRead.Size = new System.Drawing.Size(40, 24);
			this.butSetRead.TabIndex = 84;
			this.butSetRead.Text = "Read";
			this.butSetRead.Click += new System.EventHandler(this.butSetRead_Click);
			// 
			// txtIndex
			// 
			this.txtIndex.Enabled = false;
			this.txtIndex.Location = new System.Drawing.Point(48, 48);
			this.txtIndex.MaxLength = 4;
			this.txtIndex.Name = "txtIndex";
			this.txtIndex.Size = new System.Drawing.Size(48, 21);
			this.txtIndex.TabIndex = 83;
			this.txtIndex.Text = "0";
			// 
			// labSetIdx
			// 
			this.labSetIdx.Location = new System.Drawing.Point(8, 56);
			this.labSetIdx.Name = "labSetIdx";
			this.labSetIdx.Size = new System.Drawing.Size(40, 16);
			this.labSetIdx.TabIndex = 31;
			this.labSetIdx.Text = "Index:";
			// 
			// butSetUpdate
			// 
			this.butSetUpdate.Enabled = false;
			this.butSetUpdate.Location = new System.Drawing.Point(72, 24);
			this.butSetUpdate.Name = "butSetUpdate";
			this.butSetUpdate.Size = new System.Drawing.Size(64, 24);
			this.butSetUpdate.TabIndex = 26;
			this.butSetUpdate.Text = "Update";
			this.butSetUpdate.Click += new System.EventHandler(this.butSetUpdate_Click);
			// 
			// butSetRefresh
			// 
			this.butSetRefresh.Location = new System.Drawing.Point(8, 24);
			this.butSetRefresh.Name = "butSetRefresh";
			this.butSetRefresh.Size = new System.Drawing.Size(64, 24);
			this.butSetRefresh.TabIndex = 25;
			this.butSetRefresh.Text = "Refresh";
			this.butSetRefresh.Click += new System.EventHandler(this.butSetRefresh_Click);
			// 
			// groupBox5
			// 
			this.groupBox5.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.txtServerTime,
																					this.label41,
																					this.txtServerDate,
																					this.label40,
																					this.butDateTimeSet});
			this.groupBox5.Location = new System.Drawing.Point(696, 576);
			this.groupBox5.Name = "groupBox5";
			this.groupBox5.Size = new System.Drawing.Size(264, 104);
			this.groupBox5.TabIndex = 88;
			this.groupBox5.TabStop = false;
			this.groupBox5.Text = "Server Date/Time (Fmt:YYYY/MM/DD hh:mm:ss)";
			// 
			// txtServerTime
			// 
			this.txtServerTime.Enabled = false;
			this.txtServerTime.Location = new System.Drawing.Point(48, 48);
			this.txtServerTime.Name = "txtServerTime";
			this.txtServerTime.Size = new System.Drawing.Size(136, 21);
			this.txtServerTime.TabIndex = 91;
			this.txtServerTime.Text = "";
			// 
			// label41
			// 
			this.label41.Location = new System.Drawing.Point(8, 56);
			this.label41.Name = "label41";
			this.label41.Size = new System.Drawing.Size(32, 16);
			this.label41.TabIndex = 90;
			this.label41.Text = "Time:";
			// 
			// txtServerDate
			// 
			this.txtServerDate.Enabled = false;
			this.txtServerDate.Location = new System.Drawing.Point(48, 24);
			this.txtServerDate.Name = "txtServerDate";
			this.txtServerDate.Size = new System.Drawing.Size(136, 21);
			this.txtServerDate.TabIndex = 89;
			this.txtServerDate.Text = "";
			// 
			// label40
			// 
			this.label40.Location = new System.Drawing.Point(8, 32);
			this.label40.Name = "label40";
			this.label40.Size = new System.Drawing.Size(32, 16);
			this.label40.TabIndex = 88;
			this.label40.Text = "Date:";
			// 
			// butDateTimeSet
			// 
			this.butDateTimeSet.Enabled = false;
			this.butDateTimeSet.Location = new System.Drawing.Point(48, 72);
			this.butDateTimeSet.Name = "butDateTimeSet";
			this.butDateTimeSet.Size = new System.Drawing.Size(40, 24);
			this.butDateTimeSet.TabIndex = 84;
			this.butDateTimeSet.Text = "Set";
			this.butDateTimeSet.Click += new System.EventHandler(this.butDateTimeSet_Click);
			// 
			// label42
			// 
			this.label42.Location = new System.Drawing.Point(8, 536);
			this.label42.Name = "label42";
			this.label42.Size = new System.Drawing.Size(48, 16);
			this.label42.TabIndex = 89;
			this.label42.Text = "DB Path:";
			// 
			// txtDBPath
			// 
			this.txtDBPath.Location = new System.Drawing.Point(56, 528);
			this.txtDBPath.MaxLength = 256;
			this.txtDBPath.Name = "txtDBPath";
			this.txtDBPath.Size = new System.Drawing.Size(136, 21);
			this.txtDBPath.TabIndex = 90;
			this.txtDBPath.Text = "";
			// 
			// txtLocation
			// 
			this.txtLocation.Location = new System.Drawing.Point(248, 528);
			this.txtLocation.MaxLength = 16;
			this.txtLocation.Name = "txtLocation";
			this.txtLocation.Size = new System.Drawing.Size(72, 21);
			this.txtLocation.TabIndex = 92;
			this.txtLocation.Text = "";
			// 
			// label43
			// 
			this.label43.Location = new System.Drawing.Point(192, 536);
			this.label43.Name = "label43";
			this.label43.Size = new System.Drawing.Size(48, 16);
			this.label43.TabIndex = 91;
			this.label43.Text = "Location:";
			// 
			// chkEventRecord
			// 
			this.chkEventRecord.Location = new System.Drawing.Point(328, 536);
			this.chkEventRecord.Name = "chkEventRecord";
			this.chkEventRecord.Size = new System.Drawing.Size(96, 16);
			this.chkEventRecord.TabIndex = 93;
			this.chkEventRecord.Text = "Event Record";
			this.chkEventRecord.CheckedChanged += new System.EventHandler(this.checkBox1_CheckedChanged);
			// 
			// butRecord
			// 
			this.butRecord.Location = new System.Drawing.Point(424, 528);
			this.butRecord.Name = "butRecord";
			this.butRecord.Size = new System.Drawing.Size(96, 24);
			this.butRecord.TabIndex = 94;
			this.butRecord.Text = "Start Record";
			this.butRecord.Click += new System.EventHandler(this.butRecord_Click);
			// 
			// label44
			// 
			this.label44.Location = new System.Drawing.Point(8, 560);
			this.label44.Name = "label44";
			this.label44.Size = new System.Drawing.Size(40, 16);
			this.label44.TabIndex = 95;
			this.label44.Text = "Events:";
			// 
			// chkEventDI1Rise
			// 
			this.chkEventDI1Rise.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkEventDI1Rise.Checked = true;
			this.chkEventDI1Rise.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkEventDI1Rise.Location = new System.Drawing.Point(88, 552);
			this.chkEventDI1Rise.Name = "chkEventDI1Rise";
			this.chkEventDI1Rise.Size = new System.Drawing.Size(56, 24);
			this.chkEventDI1Rise.TabIndex = 97;
			this.chkEventDI1Rise.Text = "DI1 Rise";
			this.chkEventDI1Rise.CheckedChanged += new System.EventHandler(this.chkEventDI1Rise_CheckedChanged);
			// 
			// chkEventMD
			// 
			this.chkEventMD.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkEventMD.Checked = true;
			this.chkEventMD.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkEventMD.Location = new System.Drawing.Point(56, 552);
			this.chkEventMD.Name = "chkEventMD";
			this.chkEventMD.Size = new System.Drawing.Size(32, 24);
			this.chkEventMD.TabIndex = 96;
			this.chkEventMD.Text = "MD";
			this.chkEventMD.CheckedChanged += new System.EventHandler(this.chkEventMD_CheckedChanged);
			// 
			// chkEventDI1Fall
			// 
			this.chkEventDI1Fall.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkEventDI1Fall.Checked = true;
			this.chkEventDI1Fall.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkEventDI1Fall.Location = new System.Drawing.Point(144, 552);
			this.chkEventDI1Fall.Name = "chkEventDI1Fall";
			this.chkEventDI1Fall.Size = new System.Drawing.Size(56, 24);
			this.chkEventDI1Fall.TabIndex = 98;
			this.chkEventDI1Fall.Text = "DI1 Fall";
			this.chkEventDI1Fall.CheckedChanged += new System.EventHandler(this.chkEventDI1Fall_CheckedChanged);
			// 
			// chkEventDI1High
			// 
			this.chkEventDI1High.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkEventDI1High.Checked = true;
			this.chkEventDI1High.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkEventDI1High.Location = new System.Drawing.Point(200, 552);
			this.chkEventDI1High.Name = "chkEventDI1High";
			this.chkEventDI1High.Size = new System.Drawing.Size(64, 24);
			this.chkEventDI1High.TabIndex = 99;
			this.chkEventDI1High.Text = "DI1 High";
			this.chkEventDI1High.CheckedChanged += new System.EventHandler(this.chkEventDI1High_CheckedChanged);
			// 
			// chkEventDI1Low
			// 
			this.chkEventDI1Low.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkEventDI1Low.Checked = true;
			this.chkEventDI1Low.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkEventDI1Low.Location = new System.Drawing.Point(264, 552);
			this.chkEventDI1Low.Name = "chkEventDI1Low";
			this.chkEventDI1Low.Size = new System.Drawing.Size(56, 24);
			this.chkEventDI1Low.TabIndex = 100;
			this.chkEventDI1Low.Text = "DI1 Low";
			this.chkEventDI1Low.CheckedChanged += new System.EventHandler(this.chkEventDI1Low_CheckedChanged);
			// 
			// chkEventDI2Rise
			// 
			this.chkEventDI2Rise.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkEventDI2Rise.Location = new System.Drawing.Point(344, 552);
			this.chkEventDI2Rise.Name = "chkEventDI2Rise";
			this.chkEventDI2Rise.Size = new System.Drawing.Size(56, 24);
			this.chkEventDI2Rise.TabIndex = 101;
			this.chkEventDI2Rise.Text = "DI2 Rise";
			this.chkEventDI2Rise.CheckedChanged += new System.EventHandler(this.chkEventDI2Rise_CheckedChanged);
			// 
			// chkEventDI3Fall
			// 
			this.chkEventDI3Fall.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkEventDI3Fall.Location = new System.Drawing.Point(400, 552);
			this.chkEventDI3Fall.Name = "chkEventDI3Fall";
			this.chkEventDI3Fall.Size = new System.Drawing.Size(64, 24);
			this.chkEventDI3Fall.TabIndex = 102;
			this.chkEventDI3Fall.Text = "DI3 Fall";
			this.chkEventDI3Fall.CheckedChanged += new System.EventHandler(this.chkEventDI3Fall_CheckedChanged);
			// 
			// chkEventDI4High
			// 
			this.chkEventDI4High.Appearance = System.Windows.Forms.Appearance.Button;
			this.chkEventDI4High.Location = new System.Drawing.Point(464, 552);
			this.chkEventDI4High.Name = "chkEventDI4High";
			this.chkEventDI4High.Size = new System.Drawing.Size(64, 24);
			this.chkEventDI4High.TabIndex = 103;
			this.chkEventDI4High.Text = "DI4 High";
			this.chkEventDI4High.CheckedChanged += new System.EventHandler(this.chkEventDI4High_CheckedChanged);
			// 
			// labHttpCmd
			// 
			this.labHttpCmd.Location = new System.Drawing.Point(8, 584);
			this.labHttpCmd.Name = "labHttpCmd";
			this.labHttpCmd.Size = new System.Drawing.Size(128, 16);
			this.labHttpCmd.TabIndex = 104;
			this.labHttpCmd.Text = "Http Cmd (Starts with /):";
			// 
			// txtHttpCmd
			// 
			this.txtHttpCmd.Location = new System.Drawing.Point(136, 576);
			this.txtHttpCmd.MaxLength = 256;
			this.txtHttpCmd.Name = "txtHttpCmd";
			this.txtHttpCmd.Size = new System.Drawing.Size(248, 21);
			this.txtHttpCmd.TabIndex = 105;
			this.txtHttpCmd.Text = "";
			// 
			// butHttpPost
			// 
			this.butHttpPost.Location = new System.Drawing.Point(384, 576);
			this.butHttpPost.Name = "butHttpPost";
			this.butHttpPost.Size = new System.Drawing.Size(40, 24);
			this.butHttpPost.TabIndex = 106;
			this.butHttpPost.Text = "Post";
			this.butHttpPost.Click += new System.EventHandler(this.butHttpPost_Click);
			// 
			// butHttpGet
			// 
			this.butHttpGet.Location = new System.Drawing.Point(424, 576);
			this.butHttpGet.Name = "butHttpGet";
			this.butHttpGet.Size = new System.Drawing.Size(40, 24);
			this.butHttpGet.TabIndex = 107;
			this.butHttpGet.Text = "Get";
			this.butHttpGet.Click += new System.EventHandler(this.butHttpGet_Click);
			// 
			// chkShowReturn
			// 
			this.chkShowReturn.Location = new System.Drawing.Point(464, 584);
			this.chkShowReturn.Name = "chkShowReturn";
			this.chkShowReturn.Size = new System.Drawing.Size(112, 16);
			this.chkShowReturn.TabIndex = 108;
			this.chkShowReturn.Text = "Show Return Page";
			// 
			// groupAVI
			// 
			this.groupAVI.Controls.AddRange(new System.Windows.Forms.Control[] {
																				   this.butAVIAudioComp,
																				   this.butAVIVideoComp,
																				   this.butAVIUpdateSetting,
																				   this.txtAVIHeight,
																				   this.labAVIHeight,
																				   this.txtAVIWidth,
																				   this.labAVIWidth,
																				   this.chkAutoSize,
																				   this.txtAVIFR,
																				   this.labAVIFR,
																				   this.chkAVIAutoSet,
																				   this.butStartConversion,
																				   this.chkShowAVIBut});
			this.groupAVI.Location = new System.Drawing.Point(8, 600);
			this.groupAVI.Name = "groupAVI";
			this.groupAVI.Size = new System.Drawing.Size(600, 88);
			this.groupAVI.TabIndex = 109;
			this.groupAVI.TabStop = false;
			this.groupAVI.Text = "AVI conversion";
			// 
			// butAVIAudioComp
			// 
			this.butAVIAudioComp.Enabled = false;
			this.butAVIAudioComp.Location = new System.Drawing.Point(440, 24);
			this.butAVIAudioComp.Name = "butAVIAudioComp";
			this.butAVIAudioComp.Size = new System.Drawing.Size(112, 24);
			this.butAVIAudioComp.TabIndex = 121;
			this.butAVIAudioComp.Text = "Audio Compressor";
			this.butAVIAudioComp.Click += new System.EventHandler(this.butAVIAudioComp_Click);
			// 
			// butAVIVideoComp
			// 
			this.butAVIVideoComp.Enabled = false;
			this.butAVIVideoComp.Location = new System.Drawing.Point(320, 24);
			this.butAVIVideoComp.Name = "butAVIVideoComp";
			this.butAVIVideoComp.Size = new System.Drawing.Size(112, 24);
			this.butAVIVideoComp.TabIndex = 120;
			this.butAVIVideoComp.Text = "Video Compressor";
			this.butAVIVideoComp.Click += new System.EventHandler(this.butAVIVideoComp_Click);
			// 
			// butAVIUpdateSetting
			// 
			this.butAVIUpdateSetting.Enabled = false;
			this.butAVIUpdateSetting.Location = new System.Drawing.Point(328, 56);
			this.butAVIUpdateSetting.Name = "butAVIUpdateSetting";
			this.butAVIUpdateSetting.Size = new System.Drawing.Size(96, 24);
			this.butAVIUpdateSetting.TabIndex = 119;
			this.butAVIUpdateSetting.Text = "Update Settings";
			this.butAVIUpdateSetting.Click += new System.EventHandler(this.butAVIUpdateSetting_Click);
			// 
			// txtAVIHeight
			// 
			this.txtAVIHeight.Enabled = false;
			this.txtAVIHeight.Location = new System.Drawing.Point(288, 56);
			this.txtAVIHeight.MaxLength = 3;
			this.txtAVIHeight.Name = "txtAVIHeight";
			this.txtAVIHeight.Size = new System.Drawing.Size(32, 21);
			this.txtAVIHeight.TabIndex = 118;
			this.txtAVIHeight.Text = "240";
			// 
			// labAVIHeight
			// 
			this.labAVIHeight.Location = new System.Drawing.Point(248, 64);
			this.labAVIHeight.Name = "labAVIHeight";
			this.labAVIHeight.Size = new System.Drawing.Size(40, 16);
			this.labAVIHeight.TabIndex = 117;
			this.labAVIHeight.Text = "Height:";
			// 
			// txtAVIWidth
			// 
			this.txtAVIWidth.Enabled = false;
			this.txtAVIWidth.Location = new System.Drawing.Point(216, 56);
			this.txtAVIWidth.MaxLength = 3;
			this.txtAVIWidth.Name = "txtAVIWidth";
			this.txtAVIWidth.Size = new System.Drawing.Size(32, 21);
			this.txtAVIWidth.TabIndex = 116;
			this.txtAVIWidth.Text = "352";
			// 
			// labAVIWidth
			// 
			this.labAVIWidth.Location = new System.Drawing.Point(176, 64);
			this.labAVIWidth.Name = "labAVIWidth";
			this.labAVIWidth.Size = new System.Drawing.Size(40, 16);
			this.labAVIWidth.TabIndex = 115;
			this.labAVIWidth.Text = "Width:";
			// 
			// chkAutoSize
			// 
			this.chkAutoSize.Checked = true;
			this.chkAutoSize.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkAutoSize.Enabled = false;
			this.chkAutoSize.Location = new System.Drawing.Point(112, 64);
			this.chkAutoSize.Name = "chkAutoSize";
			this.chkAutoSize.Size = new System.Drawing.Size(72, 16);
			this.chkAutoSize.TabIndex = 114;
			this.chkAutoSize.Text = "Auto size";
			this.chkAutoSize.CheckedChanged += new System.EventHandler(this.chkAutoSize_CheckedChanged);
			// 
			// txtAVIFR
			// 
			this.txtAVIFR.Enabled = false;
			this.txtAVIFR.Location = new System.Drawing.Point(72, 56);
			this.txtAVIFR.MaxLength = 3;
			this.txtAVIFR.Name = "txtAVIFR";
			this.txtAVIFR.Size = new System.Drawing.Size(32, 21);
			this.txtAVIFR.TabIndex = 113;
			this.txtAVIFR.Text = "15";
			// 
			// labAVIFR
			// 
			this.labAVIFR.Location = new System.Drawing.Point(16, 64);
			this.labAVIFR.Name = "labAVIFR";
			this.labAVIFR.Size = new System.Drawing.Size(56, 16);
			this.labAVIFR.TabIndex = 112;
			this.labAVIFR.Text = "Video FR:";
			// 
			// chkAVIAutoSet
			// 
			this.chkAVIAutoSet.Checked = true;
			this.chkAVIAutoSet.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkAVIAutoSet.Location = new System.Drawing.Point(208, 32);
			this.chkAVIAutoSet.Name = "chkAVIAutoSet";
			this.chkAVIAutoSet.Size = new System.Drawing.Size(88, 16);
			this.chkAVIAutoSet.TabIndex = 111;
			this.chkAVIAutoSet.Text = "Auto setting";
			this.chkAVIAutoSet.CheckedChanged += new System.EventHandler(this.chkAVIAutoSet_CheckedChanged);
			// 
			// butStartConversion
			// 
			this.butStartConversion.Location = new System.Drawing.Point(120, 24);
			this.butStartConversion.Name = "butStartConversion";
			this.butStartConversion.Size = new System.Drawing.Size(40, 24);
			this.butStartConversion.TabIndex = 110;
			this.butStartConversion.Text = "Start";
			this.butStartConversion.Click += new System.EventHandler(this.butStartConversion_Click);
			// 
			// chkShowAVIBut
			// 
			this.chkShowAVIBut.Location = new System.Drawing.Point(8, 32);
			this.chkShowAVIBut.Name = "chkShowAVIBut";
			this.chkShowAVIBut.Size = new System.Drawing.Size(112, 16);
			this.chkShowAVIBut.TabIndex = 109;
			this.chkShowAVIBut.Text = "Show AVI Button";
			this.chkShowAVIBut.CheckedChanged += new System.EventHandler(this.chkShowAVIBut_CheckedChanged);
			// 
			// groupBox7
			// 
			this.groupBox7.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.chkAutoServerTypeModel,
																					this.comboCtrlType});
			this.groupBox7.Location = new System.Drawing.Point(776, 232);
			this.groupBox7.Name = "groupBox7";
			this.groupBox7.Size = new System.Drawing.Size(184, 88);
			this.groupBox7.TabIndex = 110;
			this.groupBox7.TabStop = false;
			this.groupBox7.Text = "Control Type";
			// 
			// chkAutoServerTypeModel
			// 
			this.chkAutoServerTypeModel.Checked = true;
			this.chkAutoServerTypeModel.CheckState = System.Windows.Forms.CheckState.Checked;
			this.chkAutoServerTypeModel.Location = new System.Drawing.Point(16, 24);
			this.chkAutoServerTypeModel.Name = "chkAutoServerTypeModel";
			this.chkAutoServerTypeModel.Size = new System.Drawing.Size(112, 24);
			this.chkAutoServerTypeModel.TabIndex = 81;
			this.chkAutoServerTypeModel.Text = "Auto";
			this.chkAutoServerTypeModel.CheckedChanged += new System.EventHandler(this.chkAutoServerTypeModel_CheckedChanged);
			// 
			// comboCtrlType
			// 
			this.comboCtrlType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboCtrlType.Items.AddRange(new object[] {
															   "2000 series with 1 channels",
															   "3000 series",
															   "4-6K series (two ways)",
															   "7000 series",
															   "2000 series with 4 channels",
															   "7000 dual-stream"});
			this.comboCtrlType.Location = new System.Drawing.Point(8, 56);
			this.comboCtrlType.MaxDropDownItems = 18;
			this.comboCtrlType.Name = "comboCtrlType";
			this.comboCtrlType.Size = new System.Drawing.Size(160, 19);
			this.comboCtrlType.TabIndex = 80;
			this.comboCtrlType.SelectedIndexChanged += new System.EventHandler(this.comboCtrlType_SelectedIndexChanged);
			// 
			// timer1
			// 
			this.timer1.Interval = 1000;
			this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
			// 
			// axVitaminCtrl1
			// 
			this.axVitaminCtrl1.Enabled = true;
			this.axVitaminCtrl1.Location = new System.Drawing.Point(424, 8);
			this.axVitaminCtrl1.Name = "axVitaminCtrl1";
			this.axVitaminCtrl1.OcxState = ((System.Windows.Forms.AxHost.State)(resources.GetObject("axVitaminCtrl1.OcxState")));
			this.axVitaminCtrl1.Size = new System.Drawing.Size(344, 320);
			this.axVitaminCtrl1.TabIndex = 111;
			this.axVitaminCtrl1.OnAVIStatus += new AxVITAMINDECODERLib._IVitaminCtrlEvents_OnAVIStatusEventHandler(this.axVitaminCtrl1_OnAVIStatus);
			this.axVitaminCtrl1.OnConnectionBroken += new AxVITAMINDECODERLib._IVitaminCtrlEvents_OnConnectionBrokenEventHandler(this.axVitaminCtrl1_OnConnectionBroken);
			this.axVitaminCtrl1.OnNewAudioPiece += new AxVITAMINDECODERLib._IVitaminCtrlEvents_OnNewAudioPieceEventHandler(this.axVitaminCtrl1_OnNewAudioPiece);
			this.axVitaminCtrl1.OnNewPacket += new AxVITAMINDECODERLib._IVitaminCtrlEvents_OnNewPacketEventHandler(this.axVitaminCtrl1_OnNewPacket);
			this.axVitaminCtrl1.OnServerModelType += new AxVITAMINDECODERLib._IVitaminCtrlEvents_OnServerModelTypeEventHandler(this.axVitaminCtrl1_OnServerModelType);
			this.axVitaminCtrl1.OnRecordStatus += new AxVITAMINDECODERLib._IVitaminCtrlEvents_OnRecordStatusEventHandler(this.axVitaminCtrl1_OnRecordStatus);
			this.axVitaminCtrl1.OnConnectionOK += new AxVITAMINDECODERLib._IVitaminCtrlEvents_OnConnectionOKEventHandler(this.axVitaminCtrl1_OnConnectionOK);
			this.axVitaminCtrl1.OnDIDOAlert += new AxVITAMINDECODERLib._IVitaminCtrlEvents_OnDIDOAlertEventHandler(this.axVitaminCtrl1_OnDIDOAlert);
			this.axVitaminCtrl1.OnNewVideo += new AxVITAMINDECODERLib._IVitaminCtrlEvents_OnNewVideoEventHandler(this.axVitaminCtrl1_OnNewVideo);
			this.axVitaminCtrl1.OnMDAlert += new AxVITAMINDECODERLib._IVitaminCtrlEvents_OnMDAlertEventHandler(this.axVitaminCtrl1_OnMDAlert);
			// 
			// axVitaminCtrl2
			// 
			this.axVitaminCtrl2.Enabled = true;
			this.axVitaminCtrl2.Location = new System.Drawing.Point(776, 8);
			this.axVitaminCtrl2.Name = "axVitaminCtrl2";
			this.axVitaminCtrl2.OcxState = ((System.Windows.Forms.AxHost.State)(resources.GetObject("axVitaminCtrl2.OcxState")));
			this.axVitaminCtrl2.Size = new System.Drawing.Size(192, 192);
			this.axVitaminCtrl2.TabIndex = 112;
			// 
			// label25
			// 
			this.label25.Location = new System.Drawing.Point(280, 112);
			this.label25.Name = "label25";
			this.label25.Size = new System.Drawing.Size(64, 16);
			this.label25.TabIndex = 113;
			this.label25.Text = "TextOnVideo";
			// 
			// txtTextOnVideo
			// 
			this.txtTextOnVideo.Location = new System.Drawing.Point(360, 112);
			this.txtTextOnVideo.MaxLength = 1;
			this.txtTextOnVideo.Name = "txtTextOnVideo";
			this.txtTextOnVideo.ReadOnly = true;
			this.txtTextOnVideo.Size = new System.Drawing.Size(56, 21);
			this.txtTextOnVideo.TabIndex = 114;
			this.txtTextOnVideo.Text = "";
			// 
			// btnCust1
			// 
			this.btnCust1.Location = new System.Drawing.Point(640, 336);
			this.btnCust1.Name = "btnCust1";
			this.btnCust1.Size = new System.Drawing.Size(40, 24);
			this.btnCust1.TabIndex = 115;
			this.btnCust1.Text = "Cust1";
			this.btnCust1.Click += new System.EventHandler(this.btnCust1_Click);
			// 
			// btnCust2
			// 
			this.btnCust2.Location = new System.Drawing.Point(680, 336);
			this.btnCust2.Name = "btnCust2";
			this.btnCust2.Size = new System.Drawing.Size(40, 24);
			this.btnCust2.TabIndex = 116;
			this.btnCust2.Text = "Cust2";
			this.btnCust2.Click += new System.EventHandler(this.btnCust2_Click);
			// 
			// btnCust3
			// 
			this.btnCust3.Location = new System.Drawing.Point(720, 336);
			this.btnCust3.Name = "btnCust3";
			this.btnCust3.Size = new System.Drawing.Size(40, 24);
			this.btnCust3.TabIndex = 117;
			this.btnCust3.Text = "Cust3";
			this.btnCust3.Click += new System.EventHandler(this.btnCust3_Click);
			// 
			// btnCust4
			// 
			this.btnCust4.Location = new System.Drawing.Point(760, 336);
			this.btnCust4.Name = "btnCust4";
			this.btnCust4.Size = new System.Drawing.Size(40, 24);
			this.btnCust4.TabIndex = 118;
			this.btnCust4.Text = "Cust4";
			this.btnCust4.Click += new System.EventHandler(this.btnCust4_Click);
			// 
			// btnIrisAuto
			// 
			this.btnIrisAuto.Location = new System.Drawing.Point(800, 336);
			this.btnIrisAuto.Name = "btnIrisAuto";
			this.btnIrisAuto.Size = new System.Drawing.Size(56, 24);
			this.btnIrisAuto.TabIndex = 119;
			this.btnIrisAuto.Text = "Iris Auto";
			this.btnIrisAuto.Click += new System.EventHandler(this.btnIrisAuto_Click);
			// 
			// btnIrisOpen
			// 
			this.btnIrisOpen.Location = new System.Drawing.Point(856, 336);
			this.btnIrisOpen.Name = "btnIrisOpen";
			this.btnIrisOpen.Size = new System.Drawing.Size(40, 24);
			this.btnIrisOpen.TabIndex = 120;
			this.btnIrisOpen.Text = "Open";
			this.btnIrisOpen.Click += new System.EventHandler(this.btnIrisOpen_Click);
			// 
			// btnIrisClose
			// 
			this.btnIrisClose.Location = new System.Drawing.Point(896, 336);
			this.btnIrisClose.Name = "btnIrisClose";
			this.btnIrisClose.Size = new System.Drawing.Size(40, 24);
			this.btnIrisClose.TabIndex = 121;
			this.btnIrisClose.Text = "Close";
			this.btnIrisClose.Click += new System.EventHandler(this.btnIrisClose_Click);
			// 
			// label35
			// 
			this.label35.Location = new System.Drawing.Point(432, 368);
			this.label35.Name = "label35";
			this.label35.Size = new System.Drawing.Size(40, 16);
			this.label35.TabIndex = 122;
			this.label35.Text = "Stream:";
			// 
			// comboStream
			// 
			this.comboStream.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboStream.Items.AddRange(new object[] {
															 "Stream1",
															 "Stream2"});
			this.comboStream.Location = new System.Drawing.Point(472, 360);
			this.comboStream.MaxDropDownItems = 18;
			this.comboStream.Name = "comboStream";
			this.comboStream.Size = new System.Drawing.Size(88, 19);
			this.comboStream.TabIndex = 62;
			this.comboStream.SelectedIndexChanged += new System.EventHandler(this.comboStream_SelectedIndexChanged);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(976, 693);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.label35,
																		  this.btnIrisClose,
																		  this.btnIrisOpen,
																		  this.btnIrisAuto,
																		  this.btnCust4,
																		  this.btnCust3,
																		  this.btnCust2,
																		  this.btnCust1,
																		  this.txtTextOnVideo,
																		  this.label25,
																		  this.axVitaminCtrl2,
																		  this.panelConn2K,
																		  this.panel4Ch,
																		  this.axVitaminCtrl1,
																		  this.groupBox7,
																		  this.groupAVI,
																		  this.chkShowReturn,
																		  this.butHttpGet,
																		  this.butHttpPost,
																		  this.txtHttpCmd,
																		  this.labHttpCmd,
																		  this.chkEventDI4High,
																		  this.chkEventDI3Fall,
																		  this.chkEventDI2Rise,
																		  this.chkEventDI1Low,
																		  this.chkEventDI1High,
																		  this.chkEventDI1Fall,
																		  this.chkEventDI1Rise,
																		  this.chkEventMD,
																		  this.label44,
																		  this.butRecord,
																		  this.chkEventRecord,
																		  this.txtLocation,
																		  this.label43,
																		  this.txtDBPath,
																		  this.label42,
																		  this.groupBox5,
																		  this.groupBox4,
																		  this.comboPort,
																		  this.labPort,
																		  this.butUartSend,
																		  this.butUartRead,
																		  this.txtUart,
																		  this.labUart,
																		  this.comboSnapshotFmt,
																		  this.labSnapshotFmt,
																		  this.butSaveSnapshot,
																		  this.txtSnapshotFile,
																		  this.labSnapFile,
																		  this.groupBox3,
																		  this.panelConnNon2K,
																		  this.labSecs,
																		  this.txtPerSecs,
																		  this.labPer,
																		  this.comboStreamingOpt,
																		  this.label30,
																		  this.chkAutoReconn,
																		  this.butStart,
																		  this.txtUserPwd,
																		  this.label29,
																		  this.txtUserID,
																		  this.label28,
																		  this.txtServerPort,
																		  this.label27,
																		  this.txtServerIP,
																		  this.label26,
																		  this.butPTStop,
																		  this.butPTPatrol,
																		  this.butPTPan,
																		  this.butFocusAuto,
																		  this.butFocusNear,
																		  this.butFocusFar,
																		  this.butZoomOut,
																		  this.butZoomIn,
																		  this.butDown,
																		  this.butRight,
																		  this.butHome,
																		  this.butLeft,
																		  this.butUp,
																		  this.labCamCtrl,
																		  this.groupBox2,
																		  this.groupDecodeInfo,
																		  this.butPresetAdd,
																		  this.txtPreset,
																		  this.comboPreset,
																		  this.labPreset,
																		  this.txtMdInfo,
																		  this.txtMdNum,
																		  this.label3,
																		  this.txtNoSigNum,
																		  this.label17,
																		  this.txtImgNum,
																		  this.label18,
																		  this.panel1Ch,
																		  this.chkTestInputPacket,
																		  this.comboStream});
			this.Font = new System.Drawing.Font("PMingLiU", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(136)));
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.panel1Ch.ResumeLayout(false);
			this.panel4Ch.ResumeLayout(false);
			this.groupDecodeInfo.ResumeLayout(false);
			this.groupBox2.ResumeLayout(false);
			this.panelConnNon2K.ResumeLayout(false);
			this.panelConn2K.ResumeLayout(false);
			this.groupBox3.ResumeLayout(false);
			this.groupBox4.ResumeLayout(false);
			this.groupBox5.ResumeLayout(false);
			this.groupAVI.ResumeLayout(false);
			this.groupBox7.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.axVitaminCtrl1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.axVitaminCtrl2)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.Location = new Point (100, 100);
			//axVitaminCtrl1.BringToFront();
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			atxt4ChDiImg = new System.Windows.Forms.TextBox[4];
			atxt4ChDiImg[0] = this.txt4ChDiImg1;
			atxt4ChDiImg[1] = this.txt4ChDiImg2;
			atxt4ChDiImg[2] = this.txt4ChDiImg3;
			atxt4ChDiImg[3] = this.txt4ChDiImg4;
			atxt4ChDoImg = new System.Windows.Forms.TextBox[2];
			atxt4ChDoImg[0] = this.txt4ChDoImg1;
			atxt4ChDoImg[1] = this.txt4ChDoImg2;


			// we must move panel4Ch to the same position of panel1Ch
			// and panelConn2K to the same position of panelConnNon2K
			panel4Ch.Location = panel1Ch.Location;
			panelConn2K.Location = panelConnNon2K.Location;

			// connect vs3101 move to the same position of audio
			chkConnVs3101.Location = chkAudio.Location;

			// init the streaming option to streaming
			comboStreamingOpt.SelectedIndex = 0;

			// init the snapshot fmt for 2K to Jpeg
			comboSnapshotFmt.SelectedIndex = 0;

			// init the video decoded fmt to Jpeg
			comboDecVideoFmt.SelectedIndex = 0;

			// init the user time fmt to 24hr
			comboUserTimeFmt.SelectedIndex = 0;

			// init the UART port of 4Ch to port 1
			comboPort.SelectedIndex = 0;

			// init quality for 2K to Good
			comboQuality.SelectedIndex = 2;

			// init vsize for 2K to normal
			comboVSize.SelectedIndex = 1;

			// init channel for 4Ch to 1
			comboChannel.SelectedIndex = 0;

			// initialize the control to 6K servers mode. we must also initialize the panel layout here
			comboCtrlType.SelectedIndex = 2;

			// sam 2007/05/02 initialize View Stream combo
			comboStream.SelectedIndex = 0;

			HandleWhenControlTypeChanged();
			SetAVIButtonStatus();
			UpdateServerSetStatus(false);

			SetEventType();

			ResetControls(false);

			timer1.Enabled = true;
		}

		private void SetupInitProtocol(int nIndex)
		{
			if (nIndex == 1)
			{
				// 3K, TCP, UDP, Http
				comboProtocol.Items.Clear();
				comboProtocol.Items.Add("UDP");
				comboProtocol.Items.Add("TCP");
				comboProtocol.Items.Add("HTTP");
				// init to TCP
				comboProtocol.SelectedIndex = 1;
			}
			else if (nIndex == 2)
			{
				// 4/5/6 K, UDP, Http
				comboProtocol.Items.Clear();
				comboProtocol.Items.Add("UDP");
				comboProtocol.Items.Add("HTTP");
				// init to Http
				comboProtocol.SelectedIndex = 1;
			}
			else if (nIndex == 3 || nIndex == 5) // sam 2007/05/02 add 7KDual
			{
				// 7K TCP, UDP
				comboProtocol.Items.Clear();
				comboProtocol.Items.Add("UDP");
				comboProtocol.Items.Add("TCP");
				comboProtocol.Items.Add("HTTP");
				comboProtocol.Items.Add("Multicast");
				// init to UDP
				comboProtocol.SelectedIndex = 0;
			}
		}

		private void HandleAudioRelatedCtrl(bool bShow)
		{
			chkAudioDec.Visible = bShow;
			txtAudioSize.Visible = bShow;
			txtAudioTime.Visible = bShow;
			labABR.Visible = bShow;
			txtAudioBR.Visible = bShow;
			butAVIAudioComp.Visible = bShow;
		}

		private void Handle1Or4Channel(bool b1Ch)
		{
			panel4Ch.Visible = !b1Ch;
			panel1Ch.Visible = b1Ch;
			labChannel.Visible = !b1Ch;
			comboChannel.Visible = !b1Ch;
			if (b1Ch)
			{
				comboChannel.SelectedIndex = 0;
			}
			labPort.Visible = !b1Ch;
			comboPort.Visible = !b1Ch;
			chkEventDI2Rise.Visible = !b1Ch;
			chkEventDI3Fall.Visible = !b1Ch;
			chkEventDI4High.Visible = !b1Ch;
		}

		private void SetupControlProtocol(int nIndex)
		{
			if (nIndex == 0 || nIndex == 4)
			{
				// 2K
				axVitaminCtrl1.ConnectionProtocol = VITAMINDECODERLib.EConnProtocol.eProtHTTP;
			}
			else if (nIndex == 1)
			{
				// 3K
				axVitaminCtrl1.ConnectionProtocol = (VITAMINDECODERLib.EConnProtocol) (comboProtocol.SelectedIndex + 1);
			}
			else if (nIndex == 2)
			{
				// 4/5/6 K
				if (comboProtocol.SelectedIndex == 0)
					axVitaminCtrl1.ConnectionProtocol = VITAMINDECODERLib.EConnProtocol.eProtUDP;
				else
					axVitaminCtrl1.ConnectionProtocol = VITAMINDECODERLib.EConnProtocol.eProtHTTP;
			}
			else if (nIndex == 3 || nIndex == 5) //sam 2007/05/02 add 7KDual
			{
				axVitaminCtrl1.ConnectionProtocol = (VITAMINDECODERLib.EConnProtocol) (comboProtocol.SelectedIndex + 1);
			}
		}

		private void HandleWhenControlTypeChanged()
		{
			if (comboCtrlType.SelectedIndex == 0)
			{
				// 2K one channel
				HandleAudioRelatedCtrl(false);
				Handle1Or4Channel(true);

				panelConnNon2K.Visible = false;
				panelConn2K.Visible = true;
				chkConnVs3101.Visible = false;
				chkVolumeCtrl.Visible = false;
				chkMicCtrl.Visible = false;
				chkTalkBtn.Visible = false;
				btnIrisAuto.Visible = false;
				btnIrisOpen.Visible = false;
				btnIrisClose.Visible = false;
			}
			else if (comboCtrlType.SelectedIndex == 1)
			{
				// 3K
				HandleAudioRelatedCtrl(true);
				Handle1Or4Channel(true);

				panelConnNon2K.Visible = true;
				panelConn2K.Visible = false;
				chkAudio.Visible = false;
				chkConnVs3101.Visible = true;
				chkVolumeCtrl.Visible = true;
				chkMicCtrl.Visible = false;
				chkTalkBtn.Visible = false;
				btnIrisAuto.Visible = false;
				btnIrisOpen.Visible = false;
				btnIrisClose.Visible = false;
			}
			else if (comboCtrlType.SelectedIndex == 2)
			{
				// 4/5/6 k server
				HandleAudioRelatedCtrl(true);
				Handle1Or4Channel(true);

				panelConnNon2K.Visible = true;
				panelConn2K.Visible = false;
				chkAudio.Visible = true;
				chkConnVs3101.Visible = false;
				chkVolumeCtrl.Visible = true;
				chkMicCtrl.Visible = true;
				chkTalkBtn.Visible = true;
				btnIrisAuto.Visible = true;
				btnIrisOpen.Visible = true;
				btnIrisClose.Visible = true;
			}
			else if (comboCtrlType.SelectedIndex == 3 || comboCtrlType.SelectedIndex == 5) // sam 2007/05/02 add 7KDual
			{
				// 7 k server
				HandleAudioRelatedCtrl(true);
				Handle1Or4Channel(true);

				panelConnNon2K.Visible = true;
				panelConn2K.Visible = false;
				chkAudio.Visible = true;
				chkConnVs3101.Visible = false;
				chkVolumeCtrl.Visible = true;
				chkMicCtrl.Visible = false;
				chkTalkBtn.Visible = false;
				btnIrisAuto.Visible = false;
				btnIrisOpen.Visible = false;
				btnIrisClose.Visible = false;
			}
			else if (comboCtrlType.SelectedIndex == 4)
			{
				// 2K 4 channels
				HandleAudioRelatedCtrl(false);
				Handle1Or4Channel(false);

				panelConnNon2K.Visible = false;
				panelConn2K.Visible = true;
				chkConnVs3101.Visible = false;
				chkVolumeCtrl.Visible = false;
				chkMicCtrl.Visible = false;
				chkTalkBtn.Visible = false;
				btnIrisAuto.Visible = false;
				btnIrisOpen.Visible = false;
				btnIrisClose.Visible = false;
			}

			SetupInitProtocol(comboCtrlType.SelectedIndex);
			SetupControlProtocol(comboCtrlType.SelectedIndex);

			axVitaminCtrl1.ServerModelType = (VITAMINDECODERLib.EServerModelType) comboCtrlType.SelectedIndex;
			axVitaminCtrl2.ServerModelType = (VITAMINDECODERLib.EServerModelType) comboCtrlType.SelectedIndex;
		}

		private void comboCtrlType_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			HandleWhenControlTypeChanged();
		}

		private void UpdatePresetLocation()
		{
			comboPreset.Items.Clear();
			object objList;
			Array astrList;
			long lRet = axVitaminCtrl1.GetPtzPresetPosition(out objList);
			if (lRet == 0)
			{
				astrList = (Array) objList;

				for (int nCnt = 0; nCnt < astrList.Length; nCnt++)
				{
					comboPreset.Items.Add(astrList.GetValue(nCnt));
				}

				if (comboPreset.Items.Count > 0)
					comboPreset.SelectedIndex = 0;
			}
		}

		private void ResetControls(bool bEnable)
		{
			butUp.Enabled = bEnable;
			butLeft.Enabled = bEnable;
			butHome.Enabled = bEnable;
			butRight.Enabled = bEnable;
			butDown.Enabled = bEnable;
			butZoomIn.Enabled = bEnable;
			butZoomOut.Enabled = bEnable;
			butFocusFar.Enabled = bEnable;
			butFocusNear.Enabled = bEnable;
			butFocusAuto.Enabled = bEnable;
			butPTPan.Enabled = bEnable;
			butPTPatrol.Enabled = bEnable;
			butPTStop.Enabled = bEnable;
			labCamCtrl.Enabled = bEnable;
			btnIrisAuto.Enabled = bEnable;
			btnIrisOpen.Enabled = bEnable;
			btnIrisClose.Enabled = bEnable;
			btnCust1.Enabled = bEnable;
			btnCust2.Enabled = bEnable;
			btnCust3.Enabled = bEnable;
			btnCust4.Enabled = bEnable;

			// snapshot
			labSnapFile.Enabled = bEnable;
			txtSnapshotFile.Enabled = bEnable;
			butSaveSnapshot.Enabled = bEnable;
			labSnapshotFmt.Enabled = bEnable;
			comboSnapshotFmt.Enabled = bEnable;

			// Uart
			labUart.Enabled = bEnable;
			txtUart.Enabled = bEnable;
			butUartRead.Enabled = bEnable;
			butUartSend.Enabled = bEnable;
			labPort.Enabled = bEnable;
			comboPort.Enabled = bEnable;

			// AVI start
			butStartConversion.Enabled = bEnable;

			// Decoder Info
			groupDecodeInfo.Enabled = bEnable;

			// preset location
			labPreset.Enabled = bEnable;
			comboPreset.Enabled = bEnable;
			txtPreset.Enabled = bEnable;
			butPresetAdd.Enabled = bEnable;

			// DI/DO
			panel1Ch.Enabled = bEnable;
			panel4Ch.Enabled = bEnable;

			// Input packet
			chkTestInputPacket.Enabled = bEnable;

			if (bEnable)
			{
				UpdatePresetLocation();
			}
		}

		private void comboProtocol_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			SetupControlProtocol(comboCtrlType.SelectedIndex);
		}

		private bool CheckPresetName()
		{
			if (txtPreset.Text.Length == 0)
			{
				MessageBox.Show(this, "Preset name could not be empty");
				return false;
			}

			if (txtPreset.Text.IndexOf(" ") != -1)
			{
				MessageBox.Show(this, "Preset name couldn't contain space");
				return false;
			}

			return true;
		}

		private void butPresetAdd_Click(object sender, System.EventArgs e)
		{
			if (!CheckPresetName())
				return;

			if (axVitaminCtrl1.SavePresetPosition(txtPreset.Text) == 0)
			{
				UpdatePresetLocation();
			}
		}

		private void comboPreset_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if (comboPreset.Text.Length != 0)
			{
				axVitaminCtrl1.RecallPtzPosition(comboPreset.Text);
			}
		}

		private void chkVideoDec_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.NotifyVideoData = chkVideoDec.Checked;
		}

		private void txtJpegQ_TextChanged(object sender, System.EventArgs e)
		{
			if (txtJpegQ.Text.Length > 0)
				axVitaminCtrl1.JpegQuality = System.Convert.ToInt32(txtJpegQ.Text);
		}

		private void comboDecVideoFmt_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.NotifyImageFormat = VITAMINDECODERLib.EPictureFormat.ePicFmtJpeg + comboDecVideoFmt.SelectedIndex;
		}

		private void chkAudioDec_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.NotifyNewAudio = chkAudioDec.Checked;
		}

		private void DoDOSet(string strValue, int nPort)
		{
			if (strValue.Length == 0)
			{
				MessageBox.Show(this, "Should give the DO value");
				return;
			}

			Int32 nVal;
			
			nVal = Int32.Parse(strValue);
			// note: it would be better to do some value check here
			axVitaminCtrl1.SendDigitalOut(nPort, nVal);		
		}

		private void but1ChDo_Click(object sender, System.EventArgs e)
		{
			DoDOSet(txt1ChDo.Text, 1);
		}

		private void but4ChDo1_Click(object sender, System.EventArgs e)
		{
			DoDOSet(txt4ChDo1.Text, 1);
		}

		private void but4ChDo2_Click(object sender, System.EventArgs e)
		{
			DoDOSet(txt4ChDo2.Text, 2);
		}

		private string DoDiGet(int nPort)
		{
			object objData;
			int nData;

			axVitaminCtrl1.GetDigitalIn(nPort, out objData);

			string strTemp;
			if (objData != null)
			{
				nData = (int) objData;

				if (nData == 0)
					strTemp = "L";
				else
					strTemp = "H";
			}
			else
				strTemp = "N/A";

			return strTemp;
		}

		private void but1ChDi_Click(object sender, System.EventArgs e)
		{
			txt1ChDi.Text = DoDiGet(1);
		}

		private void but4ChDi1_Click(object sender, System.EventArgs e)
		{
			txt4ChDi1.Text = DoDiGet(1);
		}

		private void but4ChDi2_Click(object sender, System.EventArgs e)
		{
			txt4ChDi2.Text = DoDiGet(2);
		}

		private void but4ChDi3_Click(object sender, System.EventArgs e)
		{
			txt4ChDi3.Text = DoDiGet(3);
		}

		private void but4ChDi4_Click(object sender, System.EventArgs e)
		{
			txt4ChDi4.Text = DoDiGet(4);
		}

		private void butUp_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("up", 3000);
		}

		private void butLeft_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("left", 3000);
		}

		private void butHome_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("home", 3000);
		}

		private void butRight_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("right", 3000);
		}

		private void butDown_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("down", 3000);
		}

		private void butZoomIn_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("tele", 3000);
		}

		private void butZoomOut_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("wide", 3000);
		}

		private void butFocusFar_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("far", 3000);
		}

		private void butFocusNear_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("near", 3000);
		}

		private void butFocusAuto_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("auto", 3000);
		}

		private void butPTPan_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("pan", 3000);
		}

		private void butPTPatrol_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("patrol", 3000);
		}

		private void butPTStop_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("stop", 3000);
		}

		private void butSaveSnapshot_Click(object sender, System.EventArgs e)
		{
			if (txtSnapshotFile.Text.Length == 0)
			{
				MessageBox.Show(this, "Should give file name");
				return;
			}

			int nFmt = comboSnapshotFmt.SelectedIndex + 1;

			int nRet = axVitaminCtrl1.SaveSnapshot((VITAMINDECODERLib.EPictureFormat) nFmt, txtSnapshotFile.Text);
			if (nRet != 0)
			{
				MessageBox.Show(this, "Failed");
			}
		}

		private string m_strPermittedCmd = "0123456789abcdefABCDEF";

		private bool CheckForComCommand()
		{
			String strVal = txtUart.Text;

			if (strVal.Length == 0)
			{
				MessageBox.Show(this, "Command could not be empty");
				return false;
			}

			for (int nCnt = 0; nCnt < strVal.Length; nCnt++)
			{
				if (m_strPermittedCmd.IndexOf(strVal.Substring(nCnt, 1)) == -1)
				{
					MessageBox.Show(this, "Command contains some forbidden letters, the permitted letters are:" + m_strPermittedCmd);
					return false;
				}
			}

			return true;
		}

		private void butUartRead_Click(object sender, System.EventArgs e)
		{
			object objRead;
			string strRead;

			int nPort = 1;

			if (comboCtrlType.SelectedIndex == 4)
				nPort = comboPort.SelectedIndex + 1;

			axVitaminCtrl1.GetUartData(out objRead, 5, nPort, 1000);
			strRead = (string) objRead;

			txtUart.Text = strRead;
		}

		private void butUartSend_Click(object sender, System.EventArgs e)
		{
			if (!CheckForComCommand())
				return;

			int nPort = 1;

			if (comboCtrlType.SelectedIndex == 4)
				nPort = comboPort.SelectedIndex + 1;
		
			int nRet = axVitaminCtrl1.SendUartCommand(txtUart.Text, true, nPort);
			if (nRet != 0)
			{
				MessageBox.Show(this, "Failed");
			}		
		}

		private void StartDatabaseRecord(bool bOnlyWhenRecording)
		{
			string strName;

			strName = butRecord.Text;

			if (strName == "Start Record" && bOnlyWhenRecording)
				return;

			bool bEvent;
		    
			bEvent = false;
			if (chkEventRecord.Checked)
			{
				bEvent = true;
			}

			if (strName == "Start Record" || bOnlyWhenRecording)
			{
				if (txtDBPath.Text.Length > 0 && txtLocation.Text.Length > 0)
				{
					long lRet;
					lRet = axVitaminCtrl1.SetDatabasePath(txtDBPath.Text, true);
					if (lRet != 0)
					{
						butRecord.Enabled = false;
						axVitaminCtrl1.RepairDatabase(txtDBPath.Text);
						return;
					}

					lRet = axVitaminCtrl1.SetLocation(txtLocation.Text, true);
					if (lRet != 0)
					{
						butRecord.Enabled = false;
						axVitaminCtrl1.RepairLocation(txtLocation.Text);
						return;
					}

					lRet = axVitaminCtrl1.StartMediaRecordEx(VITAMINDECODERLib.EMediaType.eMediaAV, bEvent);

					if (lRet == 0)
					{
						butRecord.Text = "Stop Record";	
					}
					else
					{
						MessageBox.Show(this, "Error to start recording, error code is: " + lRet);
					}
				}
				else
				{
					MessageBox.Show(this, "Database path and location should not be empty");
				}
			}
			else
			{
				axVitaminCtrl1.StopMediaRecord();
				butRecord.Text = "Start Record";
			}
		}

		private void butRecord_Click(object sender, System.EventArgs e)
		{
			StartDatabaseRecord(false);
		}

		private void checkBox1_CheckedChanged(object sender, System.EventArgs e)
		{
			StartDatabaseRecord(true);
		}

		private void SetEventType()
		{
			int nVal = 0;
			
			if (chkEventMD.Checked)
				nVal |= (int) (VITAMINDECODERLib.EDBRecordEventType.eMDAlertWin1 | VITAMINDECODERLib.EDBRecordEventType.eMDAlertWin2 | 
					VITAMINDECODERLib.EDBRecordEventType.eMDAlertWin3);
			if (chkEventDI1Rise.Checked)
				nVal |= (int) VITAMINDECODERLib.EDBRecordEventType.eDIRise1;
			if (chkEventDI1Fall.Checked)
				nVal |= (int) VITAMINDECODERLib.EDBRecordEventType.eDIFall1;
			if (chkEventDI1High.Checked)
				nVal |= (int) VITAMINDECODERLib.EDBRecordEventType.eDIHigh1;
			if (chkEventDI1Low.Checked)
				nVal |= (int) VITAMINDECODERLib.EDBRecordEventType.eDILow1;

			if (comboCtrlType.SelectedIndex == 4)
			{
				if (chkEventDI2Rise.Checked)
					nVal |= (int) VITAMINDECODERLib.EDBRecordEventType.eDIRise2;
				if (chkEventDI3Fall.Checked)
					nVal |= (int) VITAMINDECODERLib.EDBRecordEventType.eDIFall3;
				if (chkEventDI4High.Checked)
					nVal |= (int) VITAMINDECODERLib.EDBRecordEventType.eDIHigh4;
			}

			axVitaminCtrl1.EventTypes = nVal;

		}

		private void chkEventMD_CheckedChanged(object sender, System.EventArgs e)
		{
			SetEventType();
		}

		private void chkEventDI1Rise_CheckedChanged(object sender, System.EventArgs e)
		{
			SetEventType();
		}

		private void chkEventDI1Fall_CheckedChanged(object sender, System.EventArgs e)
		{
			SetEventType();
		}

		private void chkEventDI1High_CheckedChanged(object sender, System.EventArgs e)
		{
			SetEventType();
		}

		private void chkEventDI1Low_CheckedChanged(object sender, System.EventArgs e)
		{
			SetEventType();
		}

		private void chkEventDI2Rise_CheckedChanged(object sender, System.EventArgs e)
		{
			SetEventType();
		}

		private void chkEventDI3Fall_CheckedChanged(object sender, System.EventArgs e)
		{
			SetEventType();
		}

		private void chkEventDI4High_CheckedChanged(object sender, System.EventArgs e)
		{
			SetEventType();
		}

		private void butHttpPost_Click(object sender, System.EventArgs e)
		{
			DoHttpOperation(true);
		}

		private void butHttpGet_Click(object sender, System.EventArgs e)
		{
			DoHttpOperation(false);
		}

		private void DoHttpOperation(bool bPost)
		{
			if (txtHttpCmd.Text.Length <= 0)
			{
				MessageBox.Show(this, "Url command could not be empty");
				return;
			}
		  
			if (axVitaminCtrl1.ControlStatus != VITAMINDECODERLib.EControlStatus.ctrlRunning)
			{
				// we must set the IP/User Name/Pwd/Port part here if the control is not running
				axVitaminCtrl1.UserName = txtUserID.Text;
				axVitaminCtrl1.Password = txtUserPwd.Text;
				axVitaminCtrl1.RemoteIPAddr = txtServerIP.Text;
				long lPort = System.Convert.ToInt32(txtServerPort.Text);
				if (lPort <= 0 || lPort > 65535)
					lPort = 80;
				axVitaminCtrl1.HttpPort = (int) lPort;
			}

			object objRet;
			string bstrRet;

			long lRet = axVitaminCtrl1.HttpCommand(txtHttpCmd.Text, bPost, chkShowReturn.Checked, out objRet);
		    
			if (lRet != 0)
			{
				MessageBox.Show(this, "Failed with error" + lRet);
				return;
			}
		    

			if (chkShowReturn.Checked)
			{
				bstrRet = (string) objRet;

				MessageBox.Show(this, bstrRet);
			}
			else
				MessageBox.Show(this, "Command sent successfully");
		}

		private void SetAVIButtonStatus()
		{
			bool bAutoSet;
			bool bSizeByStream;
	
			bAutoSet = chkAVIAutoSet.Checked;
			bSizeByStream = chkAutoSize.Checked;

			labAVIFR.Enabled = !bAutoSet;
			txtAVIFR.Enabled = !bAutoSet;
			chkAutoSize.Enabled = !bAutoSet;
			butAVIUpdateSetting.Enabled = !bAutoSet;
			butAVIVideoComp.Enabled = !bAutoSet;
			butAVIAudioComp.Enabled = !bAutoSet;

			labAVIWidth.Enabled = !bAutoSet && !bSizeByStream;
			txtAVIWidth.Enabled = !bAutoSet && !bSizeByStream;
			labAVIHeight.Enabled = !bAutoSet && !bSizeByStream;
			txtAVIHeight.Enabled = !bAutoSet && !bSizeByStream;
		}
																														   
		private void SetCtrlButtonState(long dwIndex, bool bVisible)
		{
			long nVal = axVitaminCtrl1.ControlButtonOpts;

			nVal = nVal & ~dwIndex;
			if (bVisible)
				nVal |= dwIndex;
			axVitaminCtrl1.ControlButtonOpts = (int) nVal;
		}

		private void chkShowAVIBut_CheckedChanged(object sender, System.EventArgs e)
		{
			SetCtrlButtonState((long) VITAMINDECODERLib.EControlButtonState.ebutAVIConvert, chkShowAVIBut.Checked);
		}

		private void chkAVIAutoSet_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.AutoAVISettings = chkAVIAutoSet.Checked;
			SetAVIButtonStatus();		
		}

		private void chkAutoSize_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.AVIVideoSizeByStream = chkAutoSize.Checked;
			SetAVIButtonStatus();
		}

		private void butAVIVideoComp_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.ChooseAVIVideoCompressor("Video Compressor");
		}

		private void butAVIAudioComp_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.ChooseAVIVideoCompressor("Audio Compressor");
		}

		private void butAVIUpdateSetting_Click(object sender, System.EventArgs e)
		{
			int nW, nH;
	
			// update FR, W, H
			axVitaminCtrl1.AVIVideoFrameRate = System.Convert.ToInt32(txtAVIFR.Text);
			nW = System.Convert.ToInt32(txtAVIWidth.Text);
			nH = System.Convert.ToInt32(txtAVIHeight.Text);
			if ((nW % 8) != 0)
			{
				nW -= (nW % 8);
				txtAVIWidth.Text = "" + nW;
			}

			if ((nH % 8) != 0)
			{
				nH -= (nH % 8);
				txtAVIHeight.Text = "" + nH;
			}
			axVitaminCtrl1.AVIVideoWidth = nW;
			axVitaminCtrl1.AVIVideoHeight = nH;
		}

		private void butStartConversion_Click(object sender, System.EventArgs e)
		{
			if (axVitaminCtrl1.AVIStatus != VITAMINDECODERLib.EAVIRecordState.eAVIStop)
			{
				// start recording
				axVitaminCtrl1.StartAVIConversion();
			}
			else
			{
				axVitaminCtrl1.StopAVIConversion();
			}
		
		}

		private void UpdateServerSetStatus(bool bEnable)
		{
			butSetUpdate.Enabled = bEnable;
			labSetIdx.Enabled = bEnable;
			txtIndex.Enabled = bEnable;
			butSetRead.Enabled = bEnable;
			butSetSet.Enabled = bEnable;
			txtSecEntry.Enabled = bEnable;
			txtSetValue.Enabled = bEnable;
			labSecEntry.Enabled = bEnable;
			labValue.Enabled = bEnable;

			txtServerDate.Enabled = bEnable;
			txtServerTime.Enabled = bEnable;
			butDateTimeSet.Enabled = bEnable;
		}

		private void butSetRefresh_Click(object sender, System.EventArgs e)
		{
			long lRet;
	
			axVitaminCtrl1.UserName = txtUserID.Text;
			axVitaminCtrl1.Password = txtUserPwd.Text;
			axVitaminCtrl1.RemoteIPAddr = txtServerIP.Text;
			long lPort = System.Convert.ToInt32(txtServerPort.Text);
			if (lPort <= 0 || lPort > 65535)
				lPort = 80;
			axVitaminCtrl1.HttpPort = (int) lPort;
	
			lRet = axVitaminCtrl1.RefreshServerConfig();
	
			if (lRet != 0)
			{
				MessageBox.Show(this, "Could not refresh config: " + lRet);
				return;
			}
			UpdateServerSetStatus(true);
			butSetRead_Click(sender, e);
		}

		private void butSetRead_Click(object sender, System.EventArgs e)
		{
			string strSec;
			string strEntry;

			int lIndex = System.Convert.ToInt32(txtIndex.Text);
	
			strSec = axVitaminCtrl1.get_ServerConfigSection(lIndex);
			strEntry = axVitaminCtrl1.get_ServerConfigEntry(lIndex);
			if (strEntry == "")
			{
				txtSecEntry.Text = "No Such item";
				txtSetValue.Text = "";
			}
			else
			{
				txtSecEntry.Text = strSec + "/" + strEntry;
				txtSetValue.Text = axVitaminCtrl1.get_ServerConfig(lIndex, 0);
			}
		
		}

		private void butSetSet_Click(object sender, System.EventArgs e)
		{
			long lRet;
			int lIndex = System.Convert.ToInt32(txtIndex.Text);
	
			lRet = axVitaminCtrl1.SetServerConfig(lIndex, 0, txtSetValue.Text);

			if (lRet != 0)
			{
				MessageBox.Show(this, "SetServerConfig cfg failed: " + lRet);
			}
		}

		private void butSetUpdate_Click(object sender, System.EventArgs e)
		{
			long lRet;
	
			lRet = axVitaminCtrl1.UpdateServerConfig();
	
			if (lRet != 0)
			{
				MessageBox.Show(this, "Update server cfg failed: " + lRet);
			}
		}

		private void butDateTimeSet_Click(object sender, System.EventArgs e)
		{
			if (txtServerDate.Text == "")
			{
				MessageBox.Show(this, "must give server date");
				return;
			}

			if (txtServerTime.Text == "")
			{
				MessageBox.Show(this, "must give server time");
				return;
			}
	
			long lRet = axVitaminCtrl1.SetServerDateTime(txtServerDate.Text, txtServerTime.Text);
			if (lRet != 0)
			{
				MessageBox.Show(this, "Set server date/time error: " + lRet);
			}
		
		}

		private void chkTestInputPacket_CheckedChanged(object sender, System.EventArgs e)
		{
			bool bNotify = chkTestInputPacket.Checked;

			axVitaminCtrl1.NotifyAudioPacket = bNotify;
			axVitaminCtrl1.NotifyVideoPacket = bNotify;
			
			if (bNotify)
			{
    			axVitaminCtrl2.StartPacketInput(axVitaminCtrl1.CurrentMediaType);
    			axVitaminCtrl2.RemoteIPAddr = "From Proxy";
			}
			else
			{
    			axVitaminCtrl2.StopPacketInput();
			}
		
		}

		private void comboQuality_SelectedIndexChanged(object sender, System.EventArgs e)
		{ 
			axVitaminCtrl1.VideoQuality2K = (VITAMINDECODERLib.EVideoQuality2K) comboQuality.SelectedIndex + 1;
			// reconnect the connection with new video channel
			if (axVitaminCtrl1.ControlStatus != VITAMINDECODERLib.EControlStatus.ctrlStopped && 
				axVitaminCtrl1.ControlStatus != VITAMINDECODERLib.EControlStatus.ctrlDisconnecting)
			{
				axVitaminCtrl1.Disconnect();
				axVitaminCtrl1.Connect();
			}
		
		}

		private void comboVSize_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.VideoSize2K = (VITAMINDECODERLib.EVideoSize2K) comboVSize.SelectedIndex + 1;
			// reconnect the connection with new video channel
			if (axVitaminCtrl1.ControlStatus != VITAMINDECODERLib.EControlStatus.ctrlStopped && 
				axVitaminCtrl1.ControlStatus != VITAMINDECODERLib.EControlStatus.ctrlDisconnecting)
			{
				axVitaminCtrl1.Disconnect();
				axVitaminCtrl1.Connect();
			}
		
		}

		private void comboChannel_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.CurrentControlCam = comboChannel.SelectedIndex + 1;
			// reconnect the connection with new video channel
			if (axVitaminCtrl1.ControlStatus != VITAMINDECODERLib.EControlStatus.ctrlStopped && 
				axVitaminCtrl1.ControlStatus != VITAMINDECODERLib.EControlStatus.ctrlDisconnecting)
			{
  		
				axVitaminCtrl1.Disconnect();
				axVitaminCtrl1.Connect();
			}		
		}

		private void comboStreamingOpt_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.StreamingOption = (VITAMINDECODERLib.EStreamingOption) (1 + comboStreamingOpt.SelectedIndex);
	
			if (txtPerSecs.Text != "")
			{
				int nValue = System.Convert.ToInt32(txtPerSecs.Text);
				axVitaminCtrl1.JpegSecsPerFrame = nValue;
			}
		
		}

		private void chkMDEditMode_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.MDEditMode = chkMDEditMode.Checked;
		}

		private void chkAudio_CheckedChanged(object sender, System.EventArgs e)
		{
			if (chkAudio.Checked)
				axVitaminCtrl1.MediaType = VITAMINDECODERLib.EMediaType.eMediaAV;
			else
				axVitaminCtrl1.MediaType = VITAMINDECODERLib.EMediaType.eMediaVideo;
		}

		private void chkForceGDI_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.ForceGDI = chkForceGDI.Checked;
		}

		private void chkGDIStretchBlt_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.GDIUseStretchBlt = chkGDIStretchBlt.Checked;
		}

		private void chkDDrawOnePass_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.DDrawOnePass = chkDDrawOnePass.Checked;
		}

		private void chkIgnoreBorder_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.IgnoreBorder = chkIgnoreBorder.Checked;
		}

		private void chkIgnoreCaption_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.IgnoreCaption = chkIgnoreCaption.Checked;
		}

		private void chkDeblocking_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.Deblocking = chkDeblocking.Checked;
		}

		private void chkDisplay_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.Display = chkDisplay.Checked;
		}

		private void chkStretch_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.Stretch = chkStretch.Checked;		
		}

		private void chkZoomEdit_CheckedChanged(object sender, System.EventArgs e)
		{
			SetCtrlButtonState((long) VITAMINDECODERLib.EControlButtonState.ebutDigitalZoom, chkZoomEdit.Checked);
		}

		private void chkZoomEnabled_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.DigitalZoomEnabled = chkZoomEnabled.Checked;		
		}

		private void chkUserDateFmt_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.UserDateFormat = chkUserDateFmt.Checked;		
		}

		private void comboUserTimeFmt_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.DisplayTimeFormat = (VITAMINDECODERLib.EDisplayTimeFormat) comboUserTimeFmt.SelectedIndex;
		}

		private void butStart_Click(object sender, System.EventArgs e)
		{
			if (axVitaminCtrl1.ControlStatus == VITAMINDECODERLib.EControlStatus.ctrlConnecting ||
				axVitaminCtrl1.ControlStatus == VITAMINDECODERLib.EControlStatus.ctrlRunning)
			{
				axVitaminCtrl1.Disconnect();
				return;
			}
		
			axVitaminCtrl1.UserName = txtUserID.Text;
			axVitaminCtrl1.Password = txtUserPwd.Text;
			axVitaminCtrl1.Url = "";	// use the default value of the control for each type
			if (comboCtrlType.SelectedIndex == 1)
			{
				if (chkConnVs3101.Checked)
				{
					axVitaminCtrl1.ConnectionProtocol = VITAMINDECODERLib.EConnProtocol.eProtHTTP;
					axVitaminCtrl1.Url = "/cgi-bin/video.263";
				}
			}

			axVitaminCtrl1.RemoteIPAddr = txtServerIP.Text;
			long lPort = System.Convert.ToInt32(txtServerPort.Text);
			if (lPort <= 0 || lPort > 65535)
				lPort = 80;
			axVitaminCtrl1.HttpPort = (int) lPort;
			axVitaminCtrl1.Connect();
 
			txtServerIP.Enabled = false;
			txtUserPwd.Enabled = false;
			txtServerPort.Enabled = false;
			txtUserID.Enabled = false;
			butStart.Text = "Stop";
			
			ResetControls(false);

			m_nVideoSize = 0;
			m_nAudioSize = 0;		
		}

		private void axVitaminCtrl1_OnAVIStatus(object sender, AxVITAMINDECODERLib._IVitaminCtrlEvents_OnAVIStatusEvent e)
		{
			if (e.eStatus == VITAMINDECODERLib.EAVIRecordState.eAVIStop)
			{
				butStartConversion.Text = "Start";	
			}
			else
			{
				butStartConversion.Text = "Stop";
			}
		}

		private void axVitaminCtrl1_OnConnectionBroken(object sender, AxVITAMINDECODERLib._IVitaminCtrlEvents_OnConnectionBrokenEvent e)
		{
			txtServerIP.Enabled = true;
			txtUserPwd.Enabled = true;
			txtServerPort.Enabled = true;
			txtUserID.Enabled = true;
			butStart.Text = "Start";

			ResetControls(false);		
		}

		private void axVitaminCtrl1_OnConnectionOK(object sender, AxVITAMINDECODERLib._IVitaminCtrlEvents_OnConnectionOKEvent e)
		{
			txtServerIP.Enabled = false;
			txtUserPwd.Enabled = false;
			txtServerPort.Enabled = false;
			txtUserID.Enabled = false;
			butStart.Text = "Stop";

			ResetControls(true);		
			m_lImgNum = 0;
			m_lNoSignalImgNum = 0;
			m_lMDAlertNum = 0;		
		}

		private void Handle4ChDIDOAlert(long lValue)
		{
			long lDI, lDO;
			long lSrcDI, lSrcDO;
			long i, lMask;
	    
			lSrcDI = (lValue & 0xFFFF);
			lSrcDO = (lValue >> 16);
			lDI = (lValue & 0xFFFF);
			lDO = (lValue >> 16);
    
			lMask = 1;
			for (i = 0; i < 4; i++)
			{
				if ((lSrcDI & lMask) == lMask)
				{
					if ((lDI & lMask) != 0)
					{
						atxt4ChDiImg[i].Text = "H";
					}
					else
					{
						atxt4ChDiImg[i].Text = "L";
					}
				}
				lMask <<= 1;
			}
    
			lMask = 1;
			for (i = 0; i < 2; i++)
			{
				if ((lSrcDO & lMask) != 0)
				{
					if ((lDO & lMask) != 0)
						atxt4ChDoImg[i].Text = "H";
					else
						atxt4ChDoImg[i].Text = "L";
				}
				lMask <<= 1;
			}
		}

		private void axVitaminCtrl1_OnDIDOAlert(object sender, AxVITAMINDECODERLib._IVitaminCtrlEvents_OnDIDOAlertEvent e)
		{
			long lDI = (e.lValue & 0xFFFF);
			long lDO = (e.lValue >> 16);

			if (comboCtrlType.SelectedIndex == 4)
			{
				Handle4ChDIDOAlert(e.lValue);
				return;
			}
   
			if ((lDI & 1) != 0)
				txt1ChDiImg.Text = "H";
			else
				txt1ChDiImg.Text = "L";
    
			if ((lDO & 1) != 0)
				txt1ChDoImg.Text = "H";
			else
				txt1ChDoImg.Text = "L";
		
		}

		private void axVitaminCtrl1_OnMDAlert(object sender, AxVITAMINDECODERLib._IVitaminCtrlEvents_OnMDAlertEvent e)
		{
			System.Array aalR = (System.Array) e.vWinStatus;
			m_lMDAlertNum++;
			txtMdNum.Text = "" + m_lMDAlertNum;

			string strTot = "", strMsg = "";

			for (int nCnt = 0; nCnt < 3; nCnt++)
			{
				if (System.Convert.ToBoolean(aalR.GetValue(nCnt, 0)))
				{
					strMsg = "W" + (nCnt + 1) + "(" + System.Convert.ToInt32(aalR.GetValue(nCnt, 1)) + ")";
					if (strTot.Length > 0)
						strTot += ", ";
					strTot += strMsg;
				}
			}

			txtMdInfo.Text = strTot;		
		}

		private void axVitaminCtrl1_OnNewAudioPiece(object sender, AxVITAMINDECODERLib._IVitaminCtrlEvents_OnNewAudioPieceEvent e)
		{
			System.Array abyR = (System.Array) e.vPiece;
			System.Array abyInfo = (System.Array) abyR.GetValue(0);
			System.Array abyData = (System.Array) abyR.GetValue(1);

			txtAudioTime.Text = "" + abyInfo.GetValue(0).ToString() + "." + abyInfo.GetValue(1).ToString();
			//m_nAudioSize += abyData.Length;
			m_nAudioSize += (int) abyInfo.GetValue(2);
			txtAudioSize.Text = "" + m_nAudioSize;
		}

		private void axVitaminCtrl1_OnNewPacket(object sender, AxVITAMINDECODERLib._IVitaminCtrlEvents_OnNewPacketEvent e)
		{
			System.Array abyR = (System.Array) e.vPiece;
			System.Array abyInfo = (System.Array) abyR.GetValue(0);
			object objData = abyR.GetValue(1);

		    axVitaminCtrl2.InputMediaPacket((int) abyInfo.GetValue(2), ref objData);
		}

		private void axVitaminCtrl1_OnNewVideo(object sender, AxVITAMINDECODERLib._IVitaminCtrlEvents_OnNewVideoEvent e)
		{
			m_lImgNum++;
			if (!e.bSignal)
			{
				m_lNoSignalImgNum++;
			}

			txtImgNum.Text = "" + m_lImgNum;
			txtNoSigNum.Text = "" + m_lNoSignalImgNum;

			System.Array abyR = (System.Array) e.vPiece;
			System.Array abyInfo = (System.Array) abyR.GetValue(0);

			txtVideoTime.Text = "" + (int) abyInfo.GetValue(0) + "." + (int) abyInfo.GetValue(1);

			if (!e.bDecodedImg)
				return;

			byte [] byaData;
			byaData = (byte []) abyR.GetValue(1);

			m_nVideoSize += (int) abyInfo.GetValue(2);

			txtVideoSize.Text = "" + m_nVideoSize;

			// save the file to image
			string strTemp;

			if (this.comboDecVideoFmt.SelectedIndex == 0)
				strTemp = ".jpg";
			else if (this.comboDecVideoFmt.SelectedIndex == 1)
				strTemp = ".bmp";
			else if (this.comboDecVideoFmt.SelectedIndex == 1)
				strTemp = ".yu2";
			else
				strTemp = ".raw";

			strTemp = "c:\\video" + strTemp;


			FileStream myStream;
			myStream = new FileStream(strTemp, FileMode.Create);
			myStream.Write(byaData, 0, byaData.Length);
			myStream.Close();		
		}

		private void timer1_Tick(object sender, System.EventArgs e)
		{
			txtFR.Text = "" + axVitaminCtrl1.FrameRate;
			txtVideoBR.Text = "" + axVitaminCtrl1.VideoBitRate;
			txtAudioBR.Text = "" + axVitaminCtrl1.AudioBitRate;

			object objData;
			axVitaminCtrl1.GetConnectionStatus(out objData);
			System.Array abyValue = (System.Array) objData;

			txtReconnTimes.Text = "" + (int) abyValue.GetValue(0);
			txtConnSecs.Text = "" + (int) abyValue.GetValue(1);
			txtTotConnSecs.Text = "" + (int) abyValue.GetValue(2);
			txtTextOnVideo.Text = axVitaminCtrl1.TextOnVideo;
		}

		private void chkAutoReconn_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.AutoReconnect = chkAutoReconn.Checked;
		}

		private void axVitaminCtrl1_OnRecordStatus(object sender, AxVITAMINDECODERLib._IVitaminCtrlEvents_OnRecordStatusEvent e)
		{
			if (e.lStatusCode == 1)
			{
				return;
			}
			else if (e.lStatusCode == 2)
			{
				if (e.lParam == 0)
				{
					MessageBox.Show(this, "Repair database failed");
					return;
				}
				butRecord.Enabled = true;
			}
			else if (e.lStatusCode == 3)
			{
				if (e.lParam == 0)
				{
					MessageBox.Show(this, "Repair location failed");
					return;
				}
				butRecord.Enabled = true;
			}	
		
		}

		private void txtPerSecs_TextChanged(object sender, System.EventArgs e)
		{
			if (txtPerSecs.Text != "")
			{
				int nValue = System.Convert.ToInt32(txtPerSecs.Text);
				axVitaminCtrl1.JpegSecsPerFrame = nValue;
			}		
		}

		private void chkVolumeCtrl_CheckedChanged(object sender, System.EventArgs e)
		{
			SetCtrlButtonState((long) VITAMINDECODERLib.EControlButtonState.ebutPlayVolume, chkVolumeCtrl.Checked);
		}

		private void chkMicCtrl_CheckedChanged(object sender, System.EventArgs e)
		{
			SetCtrlButtonState((long) VITAMINDECODERLib.EControlButtonState.ebutMicVolume, chkMicCtrl.Checked);
		}

		private void chkTalkBtn_CheckedChanged(object sender, System.EventArgs e)
		{
			SetCtrlButtonState((long) VITAMINDECODERLib.EControlButtonState.ebutTalk, chkTalkBtn.Checked);
		}

		private void chkForceNonYUV_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.ForceNonYUV = chkForceNonYUV.Checked;
		}

		private void chkMotionFrm_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.DisplayMotionFrame = chkMotionFrm.Checked;
		}

		private void txtDisplayPeriod_TextChanged(object sender, System.EventArgs e)
		{
			if (txtDisplayPeriod.Text.Length > 0)
			{
				axVitaminCtrl1.DisplayPeriod = System.Convert.ToInt32(txtDisplayPeriod.Text);
			}
		}

		private void chkDecodeAV_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.DecodeAV = chkDecodeAV.Checked;
		}

		private void chkAutoServerTypeModel_CheckedChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.AutoServerModelType = chkAutoServerTypeModel.Checked;
		}

		private void axVitaminCtrl1_OnServerModelType(object sender, AxVITAMINDECODERLib._IVitaminCtrlEvents_OnServerModelTypeEvent e)
		{
			if ((int) e.eNewServerModelType != comboCtrlType.SelectedIndex)
			{
				comboCtrlType.SelectedIndex = (int) e.eNewServerModelType;
			}
		}

		private void btnCust1_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("cust1", 3000);
		}

		private void btnCust2_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("cust2", 3000);
		}

		private void btnCust3_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("cust3", 3000);
		}

		private void btnCust4_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("cust4", 3000);
		}

		private void btnIrisAuto_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("irisauto", 3000);
		}

		private void btnIrisOpen_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("open", 3000);
		}

		private void btnIrisClose_Click(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.SendCameraCommand("close", 3000);
		}

		private void comboStream_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			axVitaminCtrl1.ViewStream = (VITAMINDECODERLib.EDualStreamOption) (comboStream.SelectedIndex);
			axVitaminCtrl2.ViewStream = (VITAMINDECODERLib.EDualStreamOption) (comboStream.SelectedIndex);
		}
	}
}
